function [s1,s2,s3,s4,r1,r2,l1,l2,c1,c2,c3,c4] = bl01icon(r,l,c)
%BL01ICON Generate data for 'Series RLC Branch' block icon.

%   Patrice Brunelle 12-01-95, 04-09-96
%   Copyright (c) 1997 by TEQSIM Inc. and The MathWorks, Inc.
%   under sublicense from Hydro-Quebec.
%   $Revision: 1.2 $

% initial values:
s1=0;s2=0;s3=0;s4=0;r1=0;r2=0;l1=0;l2=0;c1=0;c2=0;c3=0;c4=0;

% tests entries in the Mask Block:

blocinit(r,l,c,0,0,0,1);

% Generate data icon:

if c == inf
   c = 0;
end
t1 = length(r)==1&r~=0;
t2 = length(l)==1&l~=0;
t3 = length(c)==1&c~=0;
t1 = t1(1);
t2 = t2(1);
t3 = t3(1);
test = [t1,t2,t3]&[1,1,1];
expr = [];
s1 = 0;
s2 = 0;
s3 = 0;
s4 = 0;

%general data:
x  = [7,15,30,45,60,75,90,97]+23;
y  = [0,25,-25,25,-25,25,-25,0];
rx = [0 30,x,120,150];
ry = [0,0,y,0,0];

x=round(50*sin(-pi:0.4:pi));
y=round(50*cos(-pi:0.4:pi));
x1 = x(5:15);
y1 = 2*y(5:15);
x1(11) = 34;
y1(11) = -70;
x2 = x(3:15)+70;
y2 = 2*y(3:15);
x2(13) = 104;
y2(13) =  -70;
x3 = x(3:15)+140;
y3 = 2*y(3:15);
x3(13) = 174;
y3(13) =-70;
x4 = x(3:13)+210;
y4 = 2*y(3:13);
y4(11) = 0;
x = (([x1,x2,x3,x4]+73)./3)+15;
y = [y1,y2,y3,y4]./2;
lx = round([0,23,x,126,150]);
ly = round([0,0,y,0,0]./2);
cx1 = [0,60,60,57,55,57,60,60,57,55];
cy1 = [0,0,8,16,25,16,8,-8,-16,-25];
cx2 = [90,90,90,150];
cy2 = [25,-25,0,0];

if test==[1,0,0]
r1 = rx;
r2 = ry;
s1 = 0;
s2 = -50;
s3 = 150;
s4 = 50;
end

if test==[0,1,0]
l1 = lx;
l2 = ly;
s1 = 0;
s2 = -50;
s3 = 150;
s4 = 50;
end

if test==[0,0,1]
c1 = cx1;
c2 = cy1;
c3 = cx2;
c4 = cy2;
s1 = 0;
s2 = -50;
s3 = 150;
s4 = 50;
end

if test==[1,0,1]
r1 = rx;
r2 = ry;
c1 = cx1+150;
c2 = cy1;
c3 = cx2+150;
c4 = cy2;
s1 = 0;
s2 = -50;
s3 = 300;
s4 = 50;
end

if test==[1,1,0]
r1 = rx;
r2 = ry;
l1 = lx+150;
l2 = ly;
s1 = 0;
s2 = -50;
s3 = 300;
s4 = 50;
end

if test==[0,1,1]
l1 = lx;
l2 = ly;
c1 = cx1+150;
c2 = cy1;
c3 = cx2+150;
c4 = cy2;
s1 = 0;
s2 = -50;
s3 = 300;
s4 = 50;
end

if test==[1,1,1]
r1 = rx;
r2 = ry;
l1 = lx+150;
l2 = ly;
c1 = cx1+300;
c2 = cy1;
c3 = cx2+300;
c4 = cy2;
s1 = 0;
s2 = -50;
s3 = 450;
s4 = 50;
end



