function [s1,s2,s3,s4,r1,r2,l1,l2,c1,c2,c3,c4,d1,d2,d3,d4] = bl08icon(r,l,c,lkm,npi,defaut)
%Bl08ICON	Generate data for 'Line' block icon.
%
%	[S1,S2,S3,S4,R1,R2,L1,L2,C1,C2,C3,C4,D1,D2,D3,D4] = B3ICON(R,L,C,LKM,NPI,DEFAUT)
%	generates data to plot block icon of 'Line' block. 
%	B3ICON also test entries in the mask block.  
%
%	This function is used by the 'Line' Mask block as an initialization 
%	command. It return 16 scalars and vectors variables to the drawing 
%	command.  
%
%	R,L,C   :  correspond to the resistance, inductance and capacitance 
%	           per unit length set in the dialog box,
%	LKM,NPI :  correspond to the line length and the number of pi sections.
%	DEFAUT  :  is the initial or default orientation of block.

%   Patrice Brunelle 12-01-95, 04-02-96
%   Copyright (c) 1997 by TEQSIM Inc. and The MathWorks, Inc.
%   under sublicense from Hydro-Quebec.
%   $Revision: 1.2 $

% initial values:
s1=0;s2=0;s3=0;s4=0;r1=0;r2=0;l1=0;l2=0;c1=0;c2=0;c3=0;c4=0;d1=0;d2=0;d3=0;d4=0;
% Tests for entries in the Mask Block:

blocinit(r,l,c,lkm,npi,0,8)

% detect orientation of block:

sys=get_param(0,'CurrentSystem');
block=get_param(sys,'CurrentBlock');
gg = get_param([sys,'/',block],'Selected');

or = get_param([sys,'/',block],'orientation');

d1=[];d2=[];d3=[];d4=[];c3=[];c4=[];
s1 = -60;
s2 = -60;
s3 = 60;
s4 = 60;
r1 = [s1,s1+30,s1+30,s3-30,s3-30,s3,s3-30,s3-30,s1+30,s1+30];
r2 = [0,0,50,50,0,0,0,-50,-50,0];
l1 = [s1,s3];
l2 = [s2+75,s2+75];
c1 = [0 0 -5 10 5 5 8]*3+150;
c2 = [0 5 5 5 5 3 0]*4+140;

if strcmp(or,'down')|strcmp(or,'left')
	l2=-l2;
	r2=-r2;
	c2=-c2;
	c4=-c4;
	d2=-d2;
	d4=-d4;
	s2=-s2;
	s4=-s4;
end
