function [s1,s2,s3,s4,lp1,lp2,ls1,ls2,lt1,lt2,b1,b2,b3,b4] = bl09icon(lp,ls,lt,M)
%BL09ICON Generate data for 'Mutual Inductance' block icon.
%
%	[s1,s2,s3,s4,lp1,lp2,ls1,ls2,lt1,lt2,b1,b2,b3,b4] = BL09ICON(lp,ls,lt,M)
%	generates data to plot block icon of 'Mutual Inductance' block.
%	B4ICON also test entries in the mask block.  
%
%	This function is used by the 'Mutual Inductance' Mask block as an 
%	initialization command. It return 14 scalars and vectors variables to 
%	the drawing command.
%
%	lp,ls,lt,M : correspond to the selfs and mutual inductance
%	             values set in the dialog box,
%	defaut     : is the initial or default orientation of block.

%   Patrice Brunelle 12-01-95, 04-09-96
%   Copyright (c) 1997 by TEQSIM Inc. and The MathWorks, Inc.
%   under sublicense from Hydro-Quebec.
%   $Revision: 1.2 $

% Tests for entries in the Mask Block:

blocinit(lp,ls,lt,M,0,0,9)

twobob = 1;
if size(lt)==[1,2]
	twobob = 0;
end

% detect orientation of block:

sys=get_param(0,'CurrentSystem');
block=get_param(sys,'CurrentBlock');
gg = get_param([sys,'/',block],'Selected');

or = get_param([sys,'/',block],'orientation');


% BOBINE:  (0,0) -> (100,0)
% ----------------------------
x=round(50*sin(-pi:0.4:pi));
y=round(50*cos(-pi:0.4:pi));
x1 = x(5:15);
y1 = 2*y(5:15);
x1(11) = 34;
y1(11) = -70;
x2 = x(3:15)+70;
y2 = 2*y(3:15);
x2(13) = 104;
y2(13) =  -70;
x3 = x(3:15)+140;
y3 = 2*y(3:15);
x3(13) = 174;
y3(13) =-70;
x4 = x(3:13)+210;
y4 = 2*y(3:13);
y4(11)=0;
x =(([x1,x2,x3,x4]+73)./3);
y =[y1,y2,y3,y4]./2;
x =round(x)-8;
x(47:48) = [100,100];
y =round(y./2);
% BRAS:
x = [-40,0,x,100,140];
y = [0,0,y,0,0];
% ----------------------------

% entrefer:
bx = [-50,50];
by = [0,0];

na = get_param(gcb,'Outport');
if size(na,1)==2&twobob==0

	add_block('built-in/Inport',[gcb,'/in_3']);
	set_param([gcb,'/in_3'],'position',[35, 140, 55, 160]);
	set_param([gcb,'/in_3'],'Port','3');
	add_block('built-in/Terminator',[gcb,'/Terminator3']);
	set_param([gcb,'/Terminator3'],'position',[80, 135, 105, 165]);

	add_block('built-in/constant',[gcb,'/Constant3']);
	set_param([gcb,'/Constant3'],'position',[135, 135, 160, 165]);
	add_block('built-in/Outport',[gcb,'/out_3']);
	set_param([gcb,'/out_3'],'position',[190, 140, 210, 160]);
	set_param([gcb,'/out_3'],'Port','3');
	add_line(gcb,'in_3/1','Terminator3/1');
	add_line(gcb,'Constant3/1','out_3/1');					
end

s1  = -90;
s2  = -75;
s3  = 90;
s4  = 85;

lp1 = x-50;
lp2 = -y*0.8+58;
ls1 = x-50;
ls2 = y*0.8+5;
lt1 = x-50;
lt2 = y*0.8-49;
 
b1  = bx;
b2  = by+30;
b3  = bx;
b4  = by-20;

if twobob
	lp2 = -y+60;
	lt2 = y-53;
	lp2 = lp2*1.3-20;
	lt2 = lt2*1.3+20;
	b1  = bx;
	b2  = by+5;
	b3  = [];
	b4  = [];
	ls1 = [];
	ls2 = [];
	s2  = -100;
	s4  = 110;
	a = get_param(gcb,'Outport');
	if size(na,1)==3
		delete_line(gcb,'in_3/1','Terminator3/1');
		delete_line(gcb,'Constant3/1','out_3/1');
		delete_block([gcb,'/out_3']);
		delete_block([gcb,'/in_3']);
		delete_block([gcb,'/Terminator3']);
		delete_block([gcb,'/Constant3']);
	end
end

if strcmp(or,'down')|strcmp(or,'left')
	s2=-s2; 
	s4=-s4;
	lp2=-lp2; 
	ls2=-ls2; 
	lt2=-lt2;
	b2=-b2;
	b4=-b4;
end

