function [s1,s2,s3,s4,px,py,sx,sy,tx,ty,cx,cy] = bl11icon(p,w1,w2,w3,sat,init)
%B6ICON	Generate data for 'Saturable transformer' block icon.
%	[S1,S2,S3,S4,PX,PY,SX,SY,TX,TY,CX,CY] = B6ICON(P,W!,W2,W3,SAT,INIT)
%	generates data to plot block icon of 'Saturable transformer' block. 
%	B6ICON also test entries in the mask block.  
%
%	This function is used by the 'Saturable transformer' Mask block as an 
%	initialization command. It return 14 scalars and vectors variables to 
%	the drawing command.
%
%	P          : is the Nominal power and nominal frequency, 
%	W1,W2,W3   : correspond to the 3 winding parameters.
%	SAT	   : saturation characteristic (pu)
%	INIT       : correspond to the initial flux

%   Patrice Brunelle 12-01-95
%   Copyright (c) 1997 by TEQSIM Inc. and The MathWorks, Inc.
%   under sublicense from Hydro-Quebec.
%   $Revision: 1.2 $

% initial values:
s1=0;s2=0;s3=0;s4=0;px=0;py=0;sx=0;sy=0;tx=0;ty=0;cx=0;cy=0;

% Tests for entries in the Mask Block:

blocinit(p,w1,w2,w3,sat,init,11)
oneout=1;
if size(w3)==[1,3]

	oneout = 0;

end

%general data:


% BOBINE:  (0,0) -> (100,0)
% ----------------------------
x=round(50*sin(-pi:0.4:pi));
y=round(50*cos(-pi:0.4:pi));
x1 = x(5:15);
y1 = 2*y(5:15);
x1(11) = 34;
y1(11) = -70;
x2 = x(3:15)+70;
y2 = 2*y(3:15);
x2(13) = 104;
y2(13) =  -70;
x3 = x(3:15)+140;
y3 = 2*y(3:15);
x3(13) = 174;
y3(13) =-70;
x4 = x(3:13)+210;
y4 = 2*y(3:13);
y4(11)=0;
x =(([x1,x2,x3,x4]+73)./3);
y =[y1,y2,y3,y4]./2;
x =round(x)-8;
x(47:48) = [100,100];
y =round(y./2);
% BRAS:
x = [0,0,x,100,100];
y = [-40,0,y,0,-40];
% ----------------------------

% entrefer:


na = get_param(gcb,'Outport');
if size(na,1)==2&oneout==0
	add_block('built-in/Outport',[gcb,'/out_3']);
	set_param([gcb,'/out_3'],'position',[175, 115, 195, 135]);
	set_param([gcb,'/out_3'],'Port','3');
	add_block('built-in/Outport',[gcb,'/out_4']);
	set_param([gcb,'/out_4'],'position',[175, 160, 195, 180]);
	set_param([gcb,'/out_4'],'Port','4');
	add_block('built-in/constant',[gcb,'/Constant3']);
	set_param([gcb,'/Constant3'],'position',[120, 110, 145, 140]);
	add_block('built-in/constant',[gcb,'/Constant4']);
	set_param([gcb,'/Constant4'],'position',[120, 155, 145, 185]);
        add_line(gcb,'Constant3/1','out_3/1');
        add_line(gcb,'Constant4/1','out_4/1');			
end

s1  = -85;
s2  = -100;
s3  = 85;
s4  = 100;
px  = y-45;
py  = x-50;
sx = (-y)+45;
sy = (x*0.5)+25;
tx = (-y)+45;
ty = (-x*0.5)-25;
cx=[23,10,-10,-23];
cy=[80,80,-80,-80];
if oneout
	sy = x-50;
	tx = [];
	ty = [];
	na = get_param(gcb,'Outport');
	if size(na,1)==4
                delete_line(gcb,'Constant3/1','out_3/1');
                delete_line(gcb,'Constant4/1','out_4/1');
		delete_block([gcb,'/out_3']);
		delete_block([gcb,'/out_4']);
  		delete_block([gcb,'/Constant3']);
		delete_block([gcb,'/Constant4']); 
	end;
end

	


