function [ax,ay,bx,by,c1,c2,c3,c4] = bl15icon(R,L,stateoc,hh)
%BL15ICON Generate data for 'Breaker' block icon.
%	[AX,AY,BX,BY] = BL15ICON(STATEOC,R,L,DEFAUT)
%	generates data to plot block icon of 'Breaker' block.
%	B26ICON also test for valid entries in the mask block.  
%
%	This function is used by the 'Breaker' Mask block as an 
%	initialization command. It return 16 scalars and vectors variables to 
%	the drawing command.
%
%       STATEOC,R,L : correspond to Initial sate, Resistance and 
%                     Inductance of the breaker block.
%	DEFAUT      : is the initial or default orientation of block.
%

%   Patrice Brunelle 12-01-95
%   Copyright (c) 1997 by TEQSIM Inc. and The MathWorks, Inc.
%   under sublicense from Hydro-Quebec.
%   $Revision: 1.2 $

% Tests for entries in the Mask Block:

blocinit(stateoc,R,L,0,0,0,15);

% detect orientation of block:

sys=get_param(0,'CurrentSystem');
block=get_param(sys,'CurrentBlock');
   
or = get_param([sys,'/',block],'orientation');

ax=[-10,-4.5];
ay=[4.7 4.7];
bx=[-4,1,9,9,10];
by=[7.5 4.7 4.7 0 0];
c1=[-10 -9];
c2=[-4.7 -4.7];
c3=[-2 -2];
c4=[-4.7 -3.7];

if strcmp(or,'down')|strcmp(or,'left')
	ay=-ay;
	by=-by;
	c2=-c2;
end
