function [circl1,circl2,p1,p2,p3,p4,b1,b2,pl1,pl2,pl3,pl4,m1,m2,s1,s2]= bl17icon(defaut)
%BL17ICON Generate data for 'Voltage sensor' block icon.
%
%	[CIRCL1,CIRCL2,P1,P2,P3,P4,B1,B2,PL1,PL2,PL3,PL4,M1,M2] = BL17ICON(DEFAUT)
%	generates data to plot block icon of 'Voltage sensor' block.
%
%	This function is used by the 'Voltage sensor' Mask block as an 
%	initialization command. It return 14 scalars and vectors variables to 
%	the drawing command.
%
%	DEFAUT  : is the initial or default orientation of block.
  
%   Patrice Brunelle 12-01-95, 04-10-96
%   Copyright (c) 1997 by TEQSIM Inc. and The MathWorks, Inc.
%   under sublicense from Hydro-Quebec.
%   $Revision: 1.2 $

% detect orientation of block:

sys=get_param(0,'CurrentSystem');
block=get_param(sys,'CurrentBlock');
gg = get_param([sys,'/',block],'Selected');
   
or=get_param(gcb,'orientation');

%general data:

circl1 = [0,9,18,24,29,30,29,24,18,9,0,-9,...
		-18,-24,-29,-30,-29,-24,-18,-9,0]*2/3;
circl2 = [30,29,24,18,9,0,-9,-18,-24,-29,-30,-29,...
		-24,-18,-9,0,9,18,24,29,30]*2/3;
%p1x = [-60,0,0];
p1x=[0 0 0];
p2x = [30,30,20];
%p3x = [-60,0,0];
p3x=[0 0 0];
p4x = [-30,-30,-20];
b1x = [20,60];
b2x = [0,0];
%pl1x = [-5,5];
%pl2x = [0,0];
pl1x=circl1*0.1;
pl2x =circl2*.1;

p1 = p1x;
p2 = p2x;
p3 = p3x;
p4 = p4x;
b1 = b1x;
b2 = b2x;
pl1 = pl1x;
pl2 = pl2x + 40;
pl3 = pl2x;
pl4 = pl1x + 40;
m1 = pl1;
m2 = pl2-80;
s1 = [60 55];
s2 = [0 0];

if strcmp(or,'down')|strcmp(or,'left')
	pl4=pl4-80;
end



