function [circl1,circl2,p1,p2,p3,p4,m1,m2,t1,t2] = bl18icon(defaut)
%BL18ICON Generate data for 'Current sensor' block icon.
%
%	[CIRCL1,CIRCL2,P1,P2,P3,P4,M1,M2,A1,A2] = BL18ICON(DEFAUT)
%	generates data to plot block icon of 'Current sensor' block.
%
%	This function is used by the 'Current sensor' Mask block as an 
%	initialization command. It return 18 scalars and vectors variables to 
%	the drawing command.
%
  
%   Patrice Brunelle 12-01-95
%   Copyright (c) 1997 by TEQSIM Inc. and The MathWorks, Inc.
%   under sublicense from Hydro-Quebec.
%   $Revision: 1.2 $

% detect orientation of block:

sys=get_param(0,'CurrentSystem');
block=get_param(sys,'CurrentBlock');
gg = get_param([sys,'/',block],'Selected');
   
or = get_param([sys,'/',block],'orientation');

%general data:

circl1x = [0,9,18,24,29,30,29,24,18,9,0,-9,-18,...
		-24,-29,-30,-29,-24,-18,-9,0]*2/3;
circl2x = [30,29,24,18,9,0,-9,-18,-24,-29,-30,-29,-24,...
		-18,-9,0,9,18,24,29,30]*2/3;

p1x = [-60,-38];
p2x = [0,0];
p3x = [38,55,55,60];
p4x = [0,0,-25,-25];
b1x = [0,0,60];
b2x = [10,-30,-30];

pl1x = [-5,5];
pl2x = [0,0];

circl1 = circl1x*1.9;
circl2 = circl2x*1.9;
p1 = p1x;
p2 = p2x;
p3 = p3x;
p4 = p4x;
b1 = b1x;
b2 = b2x;

pl1 = pl1x - 40;
pl2 = pl2x + 10;
pl3 = pl2x - 40;
pl4 = pl1x + 10;

m1 = [-20,20,12,20,12]*4/5;
m2 = [30,30,38,30,22]*4/5+30;
s1 = circl1x*1/10 + 50;
s2 = circl2x*1/10 - 25;
t1 = [60,55];
t2 = [31,31];



if strcmp(or,'down')|strcmp(or,'left')
	circl2=-circl2;
	p2=-p2;
	p4=-p4;
	pl2=-pl2;
	pl4=-pl4;
	m2=-m2;
	t2=-t2;
end
