function [ax,ay,bx,by,sn1,sn2] = bl20icon(Rth,Lth,Vo,Ih,Tq,SNU)
%BL20ICON Generate data for 'THYRISTOR' block icon.
%	[AX,AY,BX,BY] = BL20ICON(RTH,LTH,VO,IH,TQ,SNU,DEFAUT)
%	generates data to plot block icon of 'Thyristor' block.
%	B25ICON also test for valid entries in the mask block.  
%
%	This function is used by the 'Thyristor' Mask block as an 
%	initialization command. It return 4 scalars and vectors variables to 
%	the drawing command.
%
%	RTH      : Threshold resistance
%	LTH	 : Threshold inductance
%	VO       : Conduction voltage
%	IH       :
%       TQ       :      
%	SNU       : snubber parameters
%	DEFAUT   : is the initial or default orientation of block.
  
%   Patrice Brunelle 12-01-95
%   Copyright (c) 1997 by TEQSIM Inc. and The MathWorks, Inc.
%   under sublicense from Hydro-Quebec.
%   $Revision: 1.2 $

% Tests for entries in the Mask Block:


% detect orientation of block:


sys=get_param(0,'CurrentSystem');
block=get_param(sys,'CurrentBlock');
gg = get_param([sys,'/',block],'Selected');
   
or=get_param(gcb,'orientation');


%general data:

sn1 = [-75 -75 -15 -15 30 30 75 75 75 30 30 -15 -15];
sn2 = [50 -20 -20 -25 -25 -20 -20 50 -20 -20 -10 -10 -20]+3;
nosnub=0;
if sum(SNU)==0
	sn1=[];
	sn2=[];
	nosnub=1;
end
ax=[-100,-35,-35,45,45,45,100,45,45,45,-35,-35];
ay=[-5,-5,30,-5,25,-5,-5,-5,-50,-5,-50,-5]+58;
bx = [45,60,60];
by = [40,25,0];	

if strcmp(or,'down')|strcmp(or,'left')
	sn2=-sn2;
	ay=-ay;
	by=-by;
end












