function bl20mask(flag,nomdubloc)
%BL20MASK  Create special mask dialog for the thyristor block
%
%   BL20MASK generate a GUI used by the openfcn of thyristor block to allow
%	user to choose between simple and detail model.
% $Revision: 1.1 $

% Patrice Brunelle 


if nargin==0
	flag=0;
end

if flag==1 %Simplified model
	
	msktype='Simplified Thyristor';
	mskprompt=get_param([nomdubloc,'/data/Thyristor1'],'MaskPromptString');
	mskentries=get_param([nomdubloc,'/data/Thyristor1'],'MaskValueString');
	mskinit=get_param([nomdubloc,'/data/Thyristor1'],'MaskInitialization');
	mskvari=get_param([nomdubloc,'/data/Thyristor1'],'MaskVariables');
	mskdesc=get_param([nomdubloc,'/data/Thyristor1'],'MaskDescription');
end
if flag==2 %Complex model
	
	msktype='Thyristor';
	mskprompt=get_param([nomdubloc,'/data/Thyristor2'],'MaskPromptString');
	mskentries=get_param([nomdubloc,'/data/Thyristor2'],'MaskValueString');
	mskinit=get_param([nomdubloc,'/data/Thyristor2'],'MaskInitialization');
	mskvari=get_param([nomdubloc,'/data/Thyristor2'],'MaskVariables');
	mskdesc=get_param([nomdubloc,'/data/Thyristor2'],'MaskDescription');
end
if flag~=0
	set_param(nomdubloc,'openfcn','');
	set_param(nomdubloc,'MaskType',msktype,...
	                    'MaskPromptString',mskprompt,...
			    'MaskVariables',mskvari,...
			    'MaskDescription',mskdesc,...
			    'MaskValueString',mskentries);
	close
	open_system(nomdubloc)
	pere=get_param(nomdubloc,'Parent');
	aya=findstr(pere,'powerlib');
	if ~isempty(aya)
		pause(1)
		set_param(nomdubloc,'openfcn',['powericon(''Thyristor'',0,'' '');']);
	end
	if isempty(aya)
		delete_block([nomdubloc,'/data'])
	end
end
if flag==0

	wnd=get(0,'children');
	for i=1:length(wnd);
		if strcmp('Thyristor',get(wnd(i),'tag'));
			figure(wnd(i))
			return
		end
	end

    nomdubloc=gcb;
    close_system(gcb);
    pere=get_param(gcb,'parent');
    p=get_param(pere,'location');
  
a = figure('Color',[.7 .7 .7], ...
	'CreateFcn','', ...
	'Numbertitle','off',...
	'Menubar','none',...
	'Position',[p(1) 800-p(2) 266 215], ...
	'Tag','Thyristor');
b = uicontrol('Parent',a, ...
	'Position',[10 6 248 196], ...
	'Style','frame', ...
	'Tag','Frame1');
d = uicontrol('Parent',a, ...
	'BackgroundColor',[0.701961 0.701961 0.701961], ...
	'Position',[23 21 104 27], ...
	'String','Simplified', ...
	'Style','push', ...
	'callback',['powericon(''Thyristor'',1,''' nomdubloc ''')'],...
	'Tag','Radiobutton1');
e = uicontrol('Parent',a, ...
	'Position',[135 22 104 27], ...
	'String','Detailed', ...
	'Style','push', ...
	'callback',['powericon(''Thyristor'',2,''' nomdubloc ''')'],...
	'Tag','Radiobutton1');
f = uicontrol('Parent',a, ...
	'BackgroundColor',[0.701961 0.701961 0.701961], ...
	'FontSize',12, ...
	'Position',[45 192 160 16], ...
	'String','Thyristor (double Mask)', ...
	'Style','text', ...
	'Tag','StaticText1');
g = uicontrol('Parent',a, ...
	'BackgroundColor',[0.701961 0.701961 0.701961], ...
	'FontSize',12, ...
	'HorizontalAlignment','left', ...
	'Max',10, ...
	'Position',[21 58 225 119], ...
	'String','Select either Simplified or Detailed Thyristor model. The Simplified model is faster to simulate and usually sufficient for most applications. It does not include simulation of Latching Current and Turn-off Time.', ...
	'Style','text', ...
	'Tag','StaticText2');

end
