function [circl1,circl2,a1,a2,b1,b2,c1,c2,d1,d2,n1,n2,s1,s2] = bl29icon(PV,fS,ID,II)
%BL29ICON Generate data for 'PM motor' block icon.
%	 [CIRCL1,CIRCL2,A1,A2,B1,B2,C1,C2,D1,D2,E1,E2,F1,F2,G1,G2,H1,H2] = BL29ICON(PV,FS,ID,II,INITSEA,INITC,DEFAUT) 
%	 generates data to plot block icon of 'Simplified alternator' block.
%
%	 This function is used by the 'Simplified alternator' Mask block as an 
%	 initialization command. It return 10 scalars and vectors variables to 
%	 the drawing command.
%
%	 PV,FS,ID,II	   : parameters of the machine
%	 DEFAUT            : is the initial or default orientation of block.
%  

%   Patrice Brunelle 12-01-95, 04-10-96
%   Copyright (c) 1997 by TEQSIM Inc. and The MathWorks, Inc.
%   under sublicense from Hydro-Quebec.
%   $Revision: 1.2 $

% Tests for entries in the Mask Block:


% detect orientation of block:


sys=get_param(0,'CurrentSystem');
block=get_param(sys,'CurrentBlock');
gg = get_param([sys,'/',block],'Selected');
   


or=get_param([sys,'/',block],'Orientation');

circl1=[0,9,18,24,29,30,29,24,18,9,0,-9,-18,-24,-29,-30,-29,-24,-18,-9,0]*1.2;
circl2=[30,29,24,18,9,0,-9,-18,-24,-29,-30,-29,-24,-18,-9,0,9,18,24,29,30]*1.2;
circl2=circl2+15;
a1 = -[20,48];
a2 = [45,45];
b1 = -[36 48];
b2 = [15,15];
c1 = -[20,48];
c2 = [-15,-15];
d1 = [-10 10 10 -10 -10];
d2 = [38 38 -8 -8 38];
n1 = [-2.5 -2.5 2.5 2.5];
n2 = [0 5 0 5]*1.75+25;
s1 = [0 5 10 10 0 0 5 10]*.5-2.5; 
s2 = [0 0 2 4 6 8 10 10]*.8;

