function [circl1,circl2,a1,a2,b1,b2,c1,c2,d1,d2,e1,e2, ...
		f1,f2,i1,i2]=bl30icon(s,r,m,i,y)
%BL30ICON Generate data for 'Asynchronous machine' block icon.
%	 [CIRCL1,CIRCL2,A1,A2,B1,B2,C1,C2,D1,D2,E1,E2,F1,F2,I1,I2] = BL30ICON(S,R,M,I) 
%	 generates data to plot block icon of 'Asynchronous machine' block.
%
%	 This function is used by the 'Asynchronous machine' Mask block as an 
%	 initialization command. It return 16 scalars and vectors variables to 
%	 the drawing command.
%
%	 S,R,M,I  : parameters of the machine

%   Patrice Brunelle 12-01-95, 04-10-96
%   Copyright (c) 1997 by TEQSIM Inc. and The MathWorks, Inc.
%   under sublicense from Hydro-Quebec.
%   $Revision: 1.2 $

% Tests for entries in the Mask Block:

%

sys=get_param(0,'CurrentSystem');
block=get_param(sys,'CurrentBlock');
gg = get_param([sys,'/',block],'Selected');
or=get_param([sys,'/',block],'Orientation');


circl1 = [0,9,18,24,29,30,29,24,18,9,0,-9,-18,-24,-29,-30,-29,-24,-18,-9,0]*1.2;
circl2x = [30,29,24,18,9,0,-9,-18,-24,-29,-30,-29,-24,-18,-9,0,9,18,24,29,30]*1.2;
circl2 = (circl2x+15)*1.1;

a1 = [-20,-43];
a2 = [50,50];
b1 = [-36,-43];
b2 = [15,15];
c1 = [-18,-43];
c2 = [-18,-18];
d1 = [15 30 43];
d2 = [40,50,50];
e1 = [45,27];
e2 = [15,15];
f1 = d1;
f2 = [-9,-18,-18];
i1 = circl1*0.75;
i2 = circl2*0.75+4;
