function [Rs,Lls,Rr,Llr,J,F,p,Laq,Lad,Vb,ib,phib,wmb,Tb] = bl30init(nom,sta,rot, mut,mec,choice)

%ASMINIT
%
% Initializes the Asynchronous Machine block before simulation.
%

%   Asynchronous Machine model by:
%
%   Louis-A. Dessaint, Ph.D., and Roger Champagne, ing.
%   Copyright (c) 1997 by TEQSIM Inc. and The MathWorks, Inc.
%   under sublicense from Hydro-Quebec.
%   $Revision: 1.2 $

p=mec(3);

if choice=='si'
	Rs=sta(1);Lls=sta(2);
	Rr=rot(1);Llr=rot(2);
	Lm=mut(1);
	J=mec(1);F=mec(2);

	Vb=1; ib=1; phib=1; wmb=1; Tb=1;
else
	Pn=nom(1); Vn=nom(2);
	Pb=Pn; Vb=sqrt(2/3)*Vn; web=nom(3)*2*pi;
	Zb=Vn^2/Pn; Lb=Zb/web; ib=sqrt(2/3)*Pn/Vn;
	wmb=web/mec(3); Tb=Pb/wmb; phib=Vn*sqrt(2/3)/web;

	Rs=sta(1)*Zb; Lls=sta(2)*Lb;
	Rr=rot(1)*Zb; Llr=rot(2)*Lb;
	Lm=mut(1)*Lb;
	J=mec(1)*2*Pn/wmb^2; F=mec(2)*Pn/wmb^2;
end

% Other inductances -------------------------------------------------------

Laq=1/(1/Lm+1/Lls+1/Llr);
Lad=Laq;
