function  [a1,a2,a3,a4,a5,a6,g1,g2]=bl34icon(nphase,f,r,l,c)
%BL34ICON Generate data for the Distributed Parametrer Line icon
%
%	generates data to plot block icon of 'Distributed parameter line' block
%	B34ICON also test entries in the mask block.  
%
%	This function is used by the 'Mutual Inductance' Mask block as an 
%	initialization command. It return xxx scalars and vectors variables to 
%	the drawing command.
%
%	nphase,f     : number of phases and frequency
%	r,l,c        : line parameters in the dialog box,

%   Patrice Brunelle  03-23-96, 06-13-97                      
%   Copyright (c) 1997 by TEQSIM Inc. and The MathWorks, Inc.
%   under sublicense from Hydro-Quebec.
%   $Revision: 1.3 $

% icon:

ax=[0 20 20 80 80 100 80 80 20 20];
ay=[0 0 5 5 0 0 0 -5 -5 0];
gx=[0 100];
gy=[0 0];

a1=ax;
a2=ay+76;
a3=0;
a4=0;
a5=0;
a6=0;
g1=0;
g2=0;

if nphase==2;
	a2=ay+82;
	a3=ax;
	a4=ay+50;
end
if nphase==3
	a2=ay+89;
	a3=ax;
	a4=ay+63;
	a5=ax;
	a6=ay+37;
end
if nphase>3
	a1=a1*0.5+25;
	a2=(ay+100)*.5;
end

% Tests:

blocinit(nphase,f,r,l,c,0,34);

% detect orientation of block:

sys=get_param(0,'CurrentSystem');
block=get_param(sys,'CurrentBlock');
gg = get_param([sys,'/',block],'Selected');
type = get_param([sys,'/',block],'mask type');
objet=[sys,'/',block];   

actx=get_param(objet,'inport');

if sum(actx)==0,break;end

in=size(actx,1); % actual number of phases

if nphase>in,
   for i=in+1:nphase
	Y1 = (i-1)*50+25;
	add_block('built-in/Inport',[objet,'/',num2str(i)])
       	set_param([objet,'/',num2str(i)],...
	   'position',[25,Y1,45,Y1+20],'Port',num2str(i))
	add_block('built-in/Terminator',[objet,'/t',num2str(i)])
	set_param([objet,'/t',num2str(i)],...
	    'position',[80,Y1-5,105,Y1+25]);
        add_line(objet,[num2str(i),'/1'],['t',num2str(i),'/1'])
     	add_block('built-in/Outport',[objet,'/ ',num2str(i)])
    	set_param([objet,'/ ',num2str(i)],...
	   'position',[185,Y1,205,Y1+20],'Port',num2str(i))
     	add_block('built-in/Constant',[objet,'/g',num2str(i)])
     	set_param([objet,'/g',num2str(i)],...
	   'position',[130,Y1-5,155,Y1+25]);
     	add_line(objet,['g',num2str(i),'/1'],[' ',num2str(i),'/1']);
   end
end

if nphase<in
   for i=in:-1:nphase+1
      delete_line(objet,[num2str(i),'/1'],['t',num2str(i),'/1']);
      delete_block([objet,'/',num2str(i)]);
      delete_block([objet,'/t',num2str(i)]);
      delete_line(objet,['g',num2str(i),'/1'],[' ',num2str(i),'/1']);
      delete_block([objet,'/ ',num2str(i)]);
      delete_block([objet,'/g',num2str(i)]);
   end
end	

