function ret=blocinit(e1,e2,e3,e4,e5,e6,name)

%   Patrice Brunelle 04-02-96
%   Copyright (c) 1997 by TEQSIM Inc. and The MathWorks, Inc.
%   under sublicense from Hydro-Quebec.
%   $Revision: 1.2 $

if name==1
   entrees=['R';
	    'L';
	    'C'];
   ps=find([length(e1),length(e2),length(e3)]>1);
   if ps>0
	fautif=entrees(ps(1),1);
	nserrwin(2,[fautif,' parameter not set correctly:',...
		      ' entry must be a scalar value'],'',99);
        error('err')
   end
   ps=find([e1,e2,0]==inf);
   if ps>0
	nserrwin(2,[fautif,' parameter not set correctly:',...
		      ' entry must have a finite value'],'',99)
        error('err')
   end
   if e3 == 0
	nserrwin(2,['C parameter not set correctly:',...
	      ' entry must be different from zero'],'',99)
        error('err')
   end
end

if name==2
   entrees =['Vb';
	  'f ';
	  'P ';
	  'Qc';
	  'Ql'];
   ps = find([length(e1),length(e2),length(e3),length(e4),length(e5)]>1);
   if ps>0
	fautif = entrees(ps(1),:);
	nserrwin(2,[fautif,' Parameter not set correctly:',...
		' value must be a scalar'],'',99);
        error('err')
   end
   ps = find([e1,e2]<=0);
   if ps>0
	fautif = entrees(ps(1),:);
	nserrwin(2,[fautif,' Parameter not set correctly:',...
			' entry must be greather than zero'],'',99);
        error('err')
   end
   ps = find([1,1,e3,e4,e5]<0);
   if ps>0
	fautif = entrees(ps(1),:);
	nserrwin(2,[fautif,' Parameter not set correctly:',...
			' entry must be positive value'],'',99);
        error('err')
   end
   ps = find([e1,e2,e3,e4,e5]==inf);
   if ps>0
	fautif = entrees(ps(1),:);
	nserrwin(2,[fautif,' Parameter not set correctly:',...
			' entry must be a finite value'],'',99);
        error('err')
   end
end

if name==3
   entrees =['R';
	  'L';
	  'C'];

   ps = find([length(e1),length(e2),length(e3)]>1);
   if ps>0
	fautif = entrees(ps(1),1);
	nserrwin(2,[fautif,' Parameter not set correctly:',...
		      ' entry must be a scalar value'],'',99);
        error('err')
   end
   ps = find([e1,e2,1]==0);
   if ps>0
	fautif = entrees(ps(1),1);
	nserrwin(2,[fautif,' Parameter not set correctly:',...
		      ' entry must be different from zero'],'',99);
        error('err')
   end
   if e3 == inf
	nserrwin(2,['C parameter not set correctly:',...
	      ' entry must have a finite value'],'',99);
        error('err')
   end
end

if name==4
   entrees =['Vb';
	  'f ';
	  'P ';
	  'Qc';
	  'Ql'];
   ps = find([length(e1),length(e2),length(e3),length(e4),length(e5)]>1);
   if ps>0
	fautif = entrees(ps(1),:);
	nserrwin(2,[fautif,' Parameter not set correctly:',...
		' value must be a scalar'],'',99)
        error('err')
   end
   ps = find([e1,e2]<=0);
   if ps>0
	fautif = entrees(ps(1),:);
	nserrwin(2,[fautif,' Parameter not set correctly:',...
			' entry must be greather than zero'],'',99)
        error('err')
   end
   ps = find([1,1,e3,e4,e5]<0);
   if ps>0
	fautif = entrees(ps(1),:);
	nserrwin(2,[fautif,' Parameter not set correctly:',...
			' entry must be positive value'],'',99)
        error('err')
   end
   ps = find([e1,e2,e3,e4,e5]==inf);
   if ps>0
	fautif = entrees(ps(1),:);
	nserrwin(2,[fautif,' Parameter not set correctly:',...
			' entry must be a finite value'],'',99)
        error('err')
   end
end

if name==5 | name==6
   entrees=['Amplitude';
	    'Phase    ';
	    'Frequency'];
   ps=find([length(e1),length(e2),length(e3)]>1);
   if ps>0
	fautif=deblank(entrees(ps(1),:));
	nserrwin(2,[fautif,' Parameter not set correctly:',...
		' value must be a scalar'],'',99)
        error('err')
   end
   ps=find([abs(e1),abs(e2),e3]==inf);
   if ps>0
	fautif=deblank(entrees(ps(1),:));
	nserrwin(2,[fautif,' Parameter not set correctly:',...
		' value must have a finite value'],'',99)
        error('err')
   end
   if e3<=0
	nserrwin(2,['Frequency parameter not set correctly:',...
	       ' value must be greather than zero'],'',99)
        error('err')
   end
   ret=50;
end

if name==7		
   if e1==inf 
      nserrwin(2,'Infinite source is not possible.');
        error('err')
   end
   faute=length(e1);
   if faute>1
      nserrwin(2,'Voltage must be a scalar','',99);
        error('err')
   end	
   ret=10;
end

if name==8 	
   entrees=['Resistance ';
	    'inductance ';
	    'Capacitance';
	    'Length     ';
	    'pi sections'];
   ps=find([length(e1),length(e2),length(e3),length(e4),length(e5)]>1);
   if ps>0
	fautif=deblank(entrees(ps(1),:));
	nserrwin(2,[fautif,' Parameter not set correctly:',...
		      ' entry must be a scalar value'],'',99)
        error('err')
   end
   ps=find([1,e2,e3,e4,1]<=0);
   if ps>0
	fautif = deblank(entrees(ps(1),:));
	nserrwin(2,[fautif,' Parameter not set correctly:',...
		      ' entry must be a positive value'],'',99)
        error('err')
   end
   ps=find([e1,e2,e3,e4,e5]==inf);
   if ps>0
	fautif = deblank(entrees(ps(1),:));
	nserrwin(2,[fautif,' Parameter not set correctly:',...
		      ' entry must have a finite value'],'',99)
        error('err')
   end
   if e1<0
	nserrwin(2,['R parameter not set correctly:',...
	      ' entry must be a positive value'],'',99)
        error('err')
   end
   if e5<1 | e5~=fix(e5)
	nserrwin(2,['The number of pi sections must be',...
	      ' an integer greather than zero'],'',99)
        error('err')
   end
end

if name==9
   entrees =['Winding 1       ';
	     'Winding 2       ';
	     'Winding 3       ';
	     'Mutual impedance'];
   if sum(size(e1)~=[1,2])
	nserrwin(2,['Winding 1 parameters not set correctly,',...
		      ' entry must be a [1 by 2] vector'],'',99)
        error('err')
   end
   if sum(size(e2)~=[1,2])
	nserrwin(2,['Winding 2 parameters not set correctly,',...
		      ' entry must be a [1 by 2] vector'],'',99)
        error('err')
   end
   if sum(size(e4)~=[1,2])
	nserrwin(2,['Mutual impedance parameters not set correctly,',...
		      ' entry must be a [1 by 2] vector'],'',99)
        error('err')
   end
   if sum(size(e3)~=[1,2])&sum(size(e3)~=[1,1])
	nserrwin(2,['Mutual impedance parameters not set correctly,',...
	' entry must be a [1 by 2] vector or set to 0 to remove the coil'],'',99)
        error('err')
   end
   if size(e3)==[1,2]
	twobob = 0;
	if e3(1)<=e4(1)
		nserrwin(2,['Winding 3 parameters not set correctly,',...
		      ' Rself must be grather than Rm'],'',99)
        error('err')
	end
	if e3(2)<e4(2)
		nserrwin(2,['Winding 3 parameters not set correctly,',...
		      ' Lself must be grather than or equal to Lm'],'',99)
        error('err')
	end
   end
   ps = find([e1(1)==inf|e1(2)==inf,e2(1)==inf|e2(2)==inf,...
		0,e4(1)==inf|e4(2)==inf,]==1);	
   if ps>0
	fautif = deblank(entrees(ps(1),:));
	nserrwin(2,[fautif,' Parameter not set correctly,',...
			' elements in vector must have finite values'],'',99)
        error('err')
   end
   if e1(1)<=e4(1)
	nserrwin(2,['Winding no.1 parameters not set correctly,',...
	      ' Rself must be grather than Rm'],'',99)
        error('err')
   end
   if e1(2)<e4(2)
	nserrwin(2,['Winding no.1 parameters not set correctly,',...
	      ' Lself must be grather than or equal to Lm'],'',99)
        error('err')
   end
   if e2(1)<=e4(1)
	nserrwin(2,['Winding no.2 parameters not set correctly,',...
	      ' Rself must be grather than Rm'],'',99)
        error('err')
   end
   if e2(2)<e4(2)
	nserrwin(2,['Winding no.2 parameters not set correctly,',...
	      ' Lself must be grather than or equal to Lm'],'',99)
        error('err')
   end
end

if name==10
   entrees =['Nominal power and frequency ';
	     'Winding no.1                ';
	     'Winding no.2                ';
	     'winding no.3                ';
	     '[Rm , Xm]                   '];
   if sum(size(e1)~=[1,2])
	fautif = deblank(entrees(1,:));
	nserrwin(2,[fautif,' Parameter not set correctly: ',...
		      ' entry must be a scalar value'],'',99)
        error('err')
   end
   ps = find([sum(size(e2)~=[1,3]),sum(size(e3)~=[1,3])]==1);
   if ps>0
	fautif = deblank(entrees(ps(1)+1,:));
	nserrwin(2,[fautif,' Parameter not set correctly: ',...
		      ' entry must be a [1 by 3] vector'],'',99)
        error('err')
   end
   if sum(size(e4)~=[1,3])&sum(size(e4)~=[1,1])
	nserrwin(2,['Winding no.3 parameters not set correctly:',...
           ' entry must be an [1 by 3] vector or set to 0 to remove the coil'],'',99)
        error('err')
   end
   if size(e4)==[1,3]
	oneout = 0;
	if e4(1)<=0|e4(2)<=0
		nserrwin(2,['Winding no.3 parameters not set correctly:',...
		      ' entry must be greather than zero'],'',99)
        error('err')
	end
	if sum(e4)==inf
		nserrwin(2,['Winding no.3 Parameter not set correctly: ',...
		'elements in vector or entry must have finite value(s)'],'',99)
        error('err')
	end
   end
   if sum(size(e5)~=[1,2])
	nserrwin(2,['[Rm Xm] parameters not set correctly:',...
		' entry must be an [1 by 2] vector'],'',99)
        error('err')
   end
   ps = find([e1(1)*e1(2),sum(e2),sum(e3),sum(e4)]==inf);
   if sum(ps)>0
	fautif = entrees(ps(1),:);
	nserrwin(2,[fautif,' Parameter not set correctly: ',...
		'elements in vector or entry must have finite value(s)'],'',99)
        error('err')
   end
   if e5(1)==inf
	nserrwin(2,['Magnetisation resistance parameter not set correctly: ',...
		'Rm must be a finite value'],'',99)
        error('err')
   end
   ps = find([(e1(1)<=0|e1(2)<=0),(e2(1)<=0|e2(2)<=0),(e3(1)<=0|e3(2)<=0),0,...
		(e5(1)<=0|e5(2)<=0)]==1);
   if ps>0
	fautif = deblank(entrees(ps(1),:));
	nserrwin(2,[fautif,' parameters not set correctly',...
		      ' entry must be greather than zero'],'',99)
        error('err')
   end
end

if name==11
   entrees =['Nominal power and frequency';
	  'winding no.1               ';
	  'winding no.2               ';
	  'winding no.3               ';
	  'saturation characteristic  ';
	  '[Rm phi0]                  '];
   if sum(size(e2)~=[1,3])
	nserrwin(2,['Winding no.1 parameters not set correctly:',...
		' entry must be an [1 by 3] vector'],'',99)
        error('err')
   end
   if sum(size(e3)~=[1,3])
	nserrwin(2,['Winding no.2 parameters not set correctly:',...
		' entry must be an [1 by 3] vector'],'',99)
        error('err')
   end
   if sum(size(e4)~=[1,3])&sum(size(e4)~=[1,1])
	nserrwin(2,['Winding no.3 parameters not set correctly:',...
		' entry must be an [1 by 3] vector'],'',99)
        error('err')
   end
   if size(e4)==[1,3]
	oneout = 0;
	if e4(1)<=0|e4(2)<=0
		nserrwin(2,['Winding no.3 parameters not set correctly:',...
		      ' entry must be greather than zero'],'',99)
        error('err')
	end
	if sum(e4)==inf
		nserrwin(2,['Winding no.3 Parameter not set correctly: ',...
		'elements in vector or entry must have finite value(s)'],'',99)
        error('err')
	end
   end
   if e6(1) <= 0 | e6(1) ==inf
	nserrwin(2,'Rm must be finite and greater than zero','',99)
        error('err')
   end
   if length(e6)==2;
	if e6(2)==inf
		nserrwin(2,'phi0 must have a finite value','',99)
        error('err')
	end	
   end
   ps = find([sum(e2),sum(e3),sum(e4)]==inf);
   if sum(ps)>0
	fautif = entrees(ps(1),:);
	nserrwin(2,[fautif,' Parameter not set correctly:',...
		' elements in vector must have finite values'],'',99)
        error('err')
   end
   [m,n]=size(e5);
   if n~=2|m<2	
	nserrwin(2,['Saturation characteristic must be given in pairs.',...
		' A minimum of two pairs is required'],'',99)
        error('err')
   end
   if n==2
	if e5(1,1)~=0|e5(1,2)~=0		
		nserrwin(2,['Saturation characteristic must be given in pairs starting with pair [0,0]'],'',99)
        error('err')
	end
   end
   if sum(sum(e5<0))&1
	nserrwin(2,'Saturation characterisic must have positive pairs','',99)
        error('err')
   end
end

if name==13
   if length(e1)>1
	nserrwin(2,['Node number parameter not set correctly:',...
		' entry must be a scalar'],'',99)
        error('err')
   end
   if abs(e1)==inf
	nserrwin(2,['Node number parameter not set correctly:',...
		' entry must be a finite value'],'',99)
        error('err')
   end
   ret=10;
end

if name==14
   ents =['Number of inputs ';
          'Number of outputs'];
   ps = find([length(e1),length(e2)]>1);
   if ps>0
	fautif = deblank(ents(ps(1),:));
	nserrwin(2,[fautif,' Parameter not set correctly:',...
		' value must be a scalar'],'',99)
        error('err')
   end
   ps = find([e1,e2]<0);
   if ps>0
	fautif = deblank(ents(ps(1),:));
	nserrwin(2,[fautif,' Parameter not set correctly:',...
		' value must be positive '],'',99)
        error('err')
   end
   if e1>25|e2>25
	nserrwin(2,'Maximum of inputs or output is 25','',99)
        error('err')
   end
end

if name==15
   entrees = ['Initial state';'Resistance   ';'Inductance   '];
   ps = find([length(e1),length(e2),length(e3)]>1);
   if ps > 0
	fautif = deblank(entrees(ps(1),:));
	nserrwin(2,[fautif,' parameter not set correctly : value must be a scalar'],'',99)
        error('err')
   end
   if e1 ~= 0&e1 ~= 1
	nserrwin(2,'Initial state must be set to 0 or 1','',99)
        error('err')
   end
   if e3 <= 0|e3 == inf
	nserrwin(2,'Inductance must be greater than zero and finite','',99)
        error('err')
   end
   if e2 < 0|e2 == inf
	nserrwin(2,'Resistance must be greater than zero and finite','',99)
        error('err')
   end
end

if name==16

%if Vprot <= 0
%	nserrwin(2,'Protection voltage must be greater than zero.','',99)
%        error('err')
%end
%
%if expon <= 0
%	nserrwin(2,'exponent must be greater than zero.','',99)
%end
%
%p = round(expon);
%check = expon/p;
%
%if check ~= 1
%	nserrwin(2,'Exponent must be an integer.','',99)
%end
%
%if Lo <= 0 | Lo == inf
%	nserrwin(2,'Lo must be greater than zero and finite.','',99)
%end
%%
%if Co <= 0 | Co == inf
%	nserrwin(2,'Co must be greater than zero and finite.','',99)
%end

ret=100;
end

if name==21|name==22   
   if length(e1)>1
	nserrwin(2,['Initial value Parameter not set correctly:',...
		' value must be a scalar'],'',99)
        error('err')
   end
   ret=100;
end


if name==17 % diode 

	if e6<0,
	  nserrwin(2,'Cs parameter not set correctly: entry must must be greather than zero','',99),
	end;
	if e5<0;
	  nserrwin(2,'Rs parameter not set correctly: entry must be greater than zero','',99),
	end;
	if (e5==0 & e6==Inf), 
	  nserrwin(2,' Snubber parameters not set properly (short-circuit); Specify  Rs=Inf or Cs=0 to disconnect the snubber','',99),
	end
	if (e5==Inf | e6==0),ret=0;else ret=1;end;

end

if name==18 %ideal switch

	if e5<0,
	  nserrwin(2,'Cs parameter not set correctly: entry mustbe grather than zero','',99),
	end;
	if e4<0,
	  nserrwin(2,'Rs parameter not set correctly: entry must be greater than zero','',99),
	end;
	if (e5==0 & e5==Inf),
	  nserrwin(2,'Snubber parameters not set properly (short-circuit). Specify Rs=Inf or Cs=0 to disconnect the snubber.','',99), 
	end;

	if (e4==Inf | e5==0),ret=0;else ret=1;end;

end

if name==19 %mosfet

	if e6<0,
	  nserrwin(2,'Cs parameter not set correctly: entry must be greather than zero','',99),
	end;
	if e5<0,
	  nserrwin(2,'Rs parameter not set correctly: entry must be greater than zero','',99),
	end;
	if(e5==0 & e6==Inf), 
	 nserrwin(2,'Snubber parameters not set properly (short-circuit). Specify Rs=Inf or Cs=0 to disconnect the snubber.','',99);
	end;
	if (e5==Inf | e6==0),ret=0;else ret=1;end;

end

if name==20 %gto

	if (e5==Inf | e6==0),ret=0;else ret=1;end;
	if e6<0,
	  nserrwin(2,'Cs parameter not set correctly: entry must be greather than zero','',99),
	end;
	if e5<0;
	  nserrwin(2,'Rs parameter not set correctly: entry must be greater than zero','',99),
	end;
	if (e5==0 & e6==Inf),
	  nserrwin(2,'Snubber parameters not set properly (short-circuit). Specify Rs=Inf or Cs=0 to disconnect the snubber.','',99),
	end;

end

if name==23 % thyristor

	if e2<0,
	  nserrwin(2,'Cs parameter not set correctly: entry must be grather than zero','',99),
	end
	if e1<0,
	  nserrwin(2,'Rs parameter not set correctly: entry must be greater than zero','',99),end;
	if(e1==0 & e2==Inf),
	  nserrwin(2,'Snubber parameters not set properly (short-circuit). Specify Rs=Inf or Cs=0 to disconnect the snubber.','',99);
	end

	if (e1==inf | e2==0),ret=0;else ret=1;end;

end


if name==24
   % test for e1
   if sum(size(e1)~=[1,2])
	nserrwin(2,['Nominal Power and Voltage parameters are not set correctly:',...
		' entry must be an [1 by 2] vector'],'',99)
        error('err')
   end
   if e1(1) < 0 | e1(1) == inf |  e1(2) < 0 | e1(2) == inf
	nserrwin(2,['Nominal Power and Voltage parameters must be positive',...
			' and have a finite value'],'',99)
        error('err')
   end
   % test for e1
   if sum(size(e2)~=[1,2])
	nserrwin(2,'Nominal Frequency and Speed parameters are not set correctly: entry must be an [1 by 2] vector','',99)
        error('err')
   end
   if e2(1) < 0 | e2(1) == inf |  e2(2) < 0 | e2(2) == inf
	nserrwin(2,'Nominal Frequency and Speed parameters must be positive and finite','',99)
        error('err')
   end
   p=(60*e2(1))/e2(2);
   ptest=round(p)/p;
   if ptest ~= 1
	nserrwin(2,'Numbers of pair of pole must be an integer : p = nom_fre*60/nom_speed.','',99)
        error('err')
   end 
   % test for e3
   if sum(size(e3)~=[1,2])
	nserrwin(2,'Inetia and Damping factor parameters are not set correctly: entry must be an [1 by 2] vector','',99)
        error('err')
   end
   if e3(1) < 0
	nserrwin(2,'Inertia must be positive','',99)
        error('err')
   end
   if e3(2) < 0 | e3(2) == inf
	nserrwin(2,'Damping factor must be positive and finite','',99)
        error('err')
   end
   % test for e4
   if sum(size(e4)~=[1,2])
	nserrwin(2,'Internal impedance parameters are not set correctly: entry must be an [1 by 2] vector','',99)
        error('err')
   end
   if e4(1) < 0 | e4(1) == inf
	nserrwin(2,'Internal resistance must be positive and finite','',99)
        error('err')
   end
   if e4(2) <= 0 | e4(2) == inf
	nserrwin(2,'Internal inductance impedance must be positive, nonzero and finite','',99)
        error('err')
  end
   % test for e5
   if sum(size(e5)~=[1,2])
	nserrwin(2,'Initial speed and Electrical angle parameters are not set correctly: entry must be an [1 by 2] vector','',99)
        error('err')
   end
   if e5(1) < -100 | e5(1) > 100
	nserrwin(2,'Initial speed deviation must be between -100 and +100','',99)
        error('err')
   end
   if e5(2) < -360 | e5(2) > 360 
	nserrwin(2,'Electrical angle must be between -360 and +360','',99)
        error('err')
   end
   % test for e6 
   if sum(size(e6)~=[1,3])
	nserrwin(2,'Initial line current parameters are not set correctly: entry must be an [1 by 3] vector','',99)
        error('err')
   end
   if e6(1) == inf | e6(2) == inf | e6(3) == inf
	nserrwin(2,'Initial line current must be finite','',99)
        error('err')
   end
end

if name==34



	% VERIFICATION OF CONSISTENCY OF PARAMETERS
	%-----------------------------------------
	% All matrices must have same dimensions
	% --------------------------------------
	[nline,ncol]=size(e3);
	[nline1,ncol1]=size(e4);
	if nline1~=nline | ncol1~=ncol,
	nserrwin(2,'R, L and C parameters must be specified with same dimensions','',99);
        error('err')
	end
	[nline1,ncol1]=size(e5);
	if nline1~=nline | ncol1~=ncol,
	nserrwin(2,'R, L and C parameters must be specified with same dimensions','',99);
        error('err') 
	end
 

	% Number of phases must be constent with size of R L C matrices

	if nline==1,
	if e1~=1 & e1~=2 & e1~=3 & e1~=6
		nserrwin(2,sprintf('Nphase=%d; The line parameters must be specified by %dx%d R,L and C matrices',e1,e1,e1),'',99);
        error('err')
	end
	if e1==1 & ncol~=1
	     nserrwin(2,'Nphase=1: A scalar is expected for R, L and C parameters','',99);
        error('err')
        end

	if (e1==2 | e1==3) & ncol~=2
	     nserrwin(2,sprintf('Nphase=%d; A vector (1x2) containing positive- and zero-sequence components is expected for R, L and C',e1),'',99);
        error('err')
	end
	if e1==6 & ncol~=3
             nserrwin(2,sprintf('Nphase=%d; A vector (1x3) containing positive- , zero- and zero-mutual sequence components is expected for R, L and C',e1),'',99);
        error('err')
	end
elseif nline~=1 & (nline~=e1 | ncol~=e1),
	nserrwin(2,sprintf('Nphase=%d; The line parameters must be specified by %dx%d R,L and C matrices or by sequence components',e1,e1,e1),'',99);
        error('err')
end


%
% R,  L and C(self) values must be positive
% Mutual capacitances and Mutual zero-sequence capacitance must be negative
% -------------------------------------------------------------------------
for i=1:nline
	for k=i:ncol,
		if e3(i,k)<0, nserrwin(2,'Resistance values must be positive','',99);
        error('err'); end
		if e4(i,k)<0, nserrwin(2,'Inductance values must be positive','',99);
        error('err'); end
		if i==k & nline>1 & e5(i,i)<=0,
			nserrwin(2,'Self capacitance values must be positive','',99);
        error('err');
		elseif i~=k & nline>1 &  e5(i,k)>=0,
			nserrwin(2,'The mutual capacitance values must be negative','',99);
        error('err');
		elseif k<3 & nline==1 & e5(i,k)<=0,
			error...
			('The positive- and zero-sequence capacitance values must be positive','',99);
        error('err');
		elseif k==3 & nline==1 & e5(i,k)>=0,
			nserrwin(2,'The mutual zero-sequence capacitance value must be negative','',99);
        error('err');
		end    
	end
end
%
% All matrices must be symetrical
%-------------------------------
if nline>1,
	if ~all(all(e3==e3')),
		nserrwin(2,'The matrix R must be symetrical','',99);
        error('err'); end
	if ~all(all(e4==e4')),
		nserrwin(2,'The matrix L must be symetrical','',99);
        error('err'); end
	if ~all(all(e5==e5')),
		nserrwin(2,'The matrix C must be symetrical','',99);
        error('err'); end
end
%
%=======


end

