function[Noeuds]=nsatribn(lignes)
%NSATRIBN First nodale attribution for power2sys
% 	Note: Internal power2sys function. 
%	May not work properly when used elsewhere.
%
% 	[NOEUDS]=NSATTRIB(LIGNES)
% 	input arguments:
%		LIGNES: (integer matrix) block connection matrix
% 	output arguments:
%		NOEUDS: (integer vector) node assignment 
%
% 	each line of LIGNES has 5 integer
% 	LIGNES[1:2]: [#block #output]
% 	LIGNES[3:4]: [#block #input]
% 	LIGNES[5]: indirect line connection (not used here)
% 	node 0 is reserved for ground	
% 	In NSATTRIB , each line of LIGNES is given a node,
% 	but if there is 2 or more lines of LIGNES that have
% 	the same  [#block #output] or the same  [#block #input]
% 	those line of LIGNES are given the same node because
% 	they are electrically connected 

%   Christian Dufour 11-22-95
%   Copyright (c) 1997 by TEQSIM Inc. and The MathWorks, Inc.
%   under sublicense from Hydro-Quebec.
%   $Revision: 1.2 $

% chaque ligne de LIGNES a 5 entiers
% LIGNES[1:2]: [#block #output]
% LIGNES[3:4]: [#block #input]
% LIGNES[5]: connection indirecte par la ligne no:LIGNES[5] de LIGNES
% Dans NSATTRIB, chaque ligne de LIGNES se voit donner un numero de noeud
% Si plus d'une ligne de LIGNES ont le meme LIGNES[1:2] ou LIGNES[3:4]
% ( cas impossible dans car une seule ligne par entree dans Simulink!)
% Ces lignes sont connectees electriquement et recoivent donc le meme
% numero de noeuds	     
 
Noeuds=[];
nonoeuds=1;
for i=1:1:size(lignes,1)
	flag=0;
	for j=1:1:i-1
		if sum(lignes(i,1:2)==lignes(j,1:2))==2  
			flag=j;
		end
		if sum(lignes(i,3:4)==lignes(j,3:4))==2
			flag=j;
		end
 	end
	if (flag==0)
		Noeuds(i)=nonoeuds;
		nonoeuds=nonoeuds+1;
	else
		Noeuds(i)=Noeuds(flag);
	end
end


