function[Noeuds,rlc,source,switchns,neusortieU,newneu]=nscapnod(Noeuds,rlc,source,switchns,neusortieU,allcapteurnoeuds)
%NSCAPNOD Fusion of nodes separated by current sensors
% 	Note: Internal netsim function. 
%	May not work properly when used elsewhere.
%
% 	[NOEUDS,RLC,SOURCE,SWITCH,NEUSORTIEU]=NSCAPNOD(NOEUDS,RLC,SOURCE, ...
%	SWITCH,NEUSORTIEU,ALLCAPTEURNOEUDS)
% 	input arguments:
%		NOEUDS: (integer vector) node assignment vector
%		RLC: (float matrix) ETATFUN rlc componant matrix
%		SOURCE: (float matrix) ETATFUN source componant matrix
%		SWITCHNS: (float matrix) ETATFUN switchns componant matrix
%		NEUSORTIEU: (integer matrix) matrix of nodes of the voltage
%		             outputs of the state-space system
%		NEWNEU: (integer vector) New node number for each nodes
%			of currents sensors listed in ALLCAPTEURNOEUDS
%			Outputed for test purposes only.
% 	output arguments:
%		NOEUDS: (integer vector) node assignment vector
%		RLC: (float matrix) ETATFUN rlc componant matrix
%		SOURCE: (float matrix) ETATFUN source componant matrix
%		SWITCH: (float matrix) ETATFUN switchns componant matrix
%		NEUSORTIEU: (integer matrix) matrix of nodes of the voltage
%		             outputs of the state-space system
%		ALLCAPTEURNOEUDS: (integer matrix) nodes at which the current
%		               sensors are connected. 1 pair of nodes per line.
% 
%	See also ETATFUN.
	
%   Christian Dufour 11-22-95 , 04-17-96
%   Copyright (c) 1997 by TEQSIM Inc. and The MathWorks, Inc.
%   under sublicense from Hydro-Quebec.
%   $Revision: 1.2 $

% NSCAPNOD Fusion of nodes separated by current sensors


% REDUCTION OF CURRENT SENSOR NODES
% IF SENSOR ARE CONNECTED IN SERIES, WE MUST FIND THE MINIMUM
% NODE NUMBER FOR THE GROUP

neu=allcapteurnoeuds;

newneu=[];
for i=1:size(neu,1)
	ww=neu(i,:);	
	wwold=[];
	while length(ww)>length(wwold)   % NEW NODE FOUND IN LAST LOOP
		wwold=ww;	
		for j=1:size(neu,1)
			% si noeud 1 in list : 
			if ~isempty( find(ww==neu(j,1)) ) 
				% AND si noeud 2 NOT in list : 	
				if isempty( find(ww==neu(j,2)) )
					% ajouter noeud 2 :  
					ww=[ww neu(j,2)];
				end
			end
			% si noeud 2 in list :
			if ~isempty( find(ww==neu(j,2)) )
				% AND si noeud 1 NOT in list	
				if isempty( find(ww==neu(j,1)) ) 
					% ajouter noeud 1 : 	 
					ww=[ww neu(j,1)];	
				end
			end
		end
	end
	newneu(i)=min(ww);	% TAKE MINIMUM NODE NUMBER
end
 

% CHANGE OLD NODE REFERENCE FOR NEW ONES :
		
for i=1:size(allcapteurnoeuds,1)
	for j=1:length(Noeuds)
		if Noeuds(j)==allcapteurnoeuds(i,2)
			Noeuds(j)=newneu(i);
		end
	end
	for j=1:size(rlc,1)
		if rlc(j,1)==allcapteurnoeuds(i,2)
			rlc(j,1)=newneu(i);
		end
		if rlc(j,2)==allcapteurnoeuds(i,2)
			rlc(j,2)=newneu(i);
		end
		if rlc(j,1)==allcapteurnoeuds(i,1)
			rlc(j,1)=newneu(i);
		end
		if rlc(j,2)==allcapteurnoeuds(i,1)
			rlc(j,2)=newneu(i);
		end
	end
	for j=1:size(source,1)
		if source(j,1)==allcapteurnoeuds(i,2)
			source(j,1)=newneu(i);
		end
		if source(j,2)==allcapteurnoeuds(i,2)
			source(j,2)=newneu(i);
		end
		if source(j,1)==allcapteurnoeuds(i,1)
			source(j,1)=newneu(i);
		end
		if source(j,2)==allcapteurnoeuds(i,1)
			source(j,2)=newneu(i);
		end
	end 
	for j=1:size(switchns,1)
		if switchns(j,1)==allcapteurnoeuds(i,2)
			switchns(j,1)=newneu(i);
		end
		if switchns(j,2)==allcapteurnoeuds(i,2)
			switchns(j,2)=newneu(i);
		end
		if switchns(j,1)==allcapteurnoeuds(i,1)
			switchns(j,1)=newneu(i);
		end
		if switchns(j,2)==allcapteurnoeuds(i,1)
			switchns(j,2)=newneu(i);
		end
	end 
	for j=1:size(neusortieU,1)
		if neusortieU(j,1)==allcapteurnoeuds(i,2)
			neusortieU(j,1)=newneu(i);
		end
		if neusortieU(j,2)==allcapteurnoeuds(i,2)
			neusortieU(j,2)=newneu(i);
		end
		if neusortieU(j,1)==allcapteurnoeuds(i,1)
			neusortieU(j,1)=newneu(i);
		end
		if neusortieU(j,2)==allcapteurnoeuds(i,1)
			neusortieU(j,2)=newneu(i);
		end
	end 
end

