function[rlc,allneu,nores]=nscinet(rlc,source)
%NSCINET Connect isolated networks
% 	Note: Internal netsim function. 
%	May not work properly when used elsewhere.
% 
%	[NOEUDS]=NSCINET(LIGNES,NOEUDS,CUSTOMBLOCNUMBER)
% 	input arguments:
%		RLC: (float matrix) rlc componant matrix
%		SOURCE:	(float matrix) source componant matrix			
% 	output arguments:
%		RLC:(float matrix ) modified rlc componant matrix
%		ALLNEU: list of all rlc&source nodes
%		NORES: subnetwork number for each node if ALLNEU
%
% 	NSCINET connects isolated networks by adding a 10 ohms resistance
%	from the 1st network to all the others in a star configuration

%   Christian Dufour 11-22-95, 04-17-96
%   Copyright (c) 1997 by TEQSIM Inc. and The MathWorks, Inc.
%   under sublicense from Hydro-Quebec.
%   $Revision: 1.2 $
 
% IDENTIFY AND CONNECT ISOLATED NETWORK
 
% IDENTIFICATION :

neu=[];
for i=1:size(rlc,1)
	neu=[neu;rlc(i,1:2)];
end
for i=1:size(source,1)
	neu=[neu;source(i,1:2)];
end
allneu=[-123456]; % noeud bidon pour passer test if isempty
nores=[];
indres=1;
newneu=[];

for i=1:size(neu,1)

    if isempty(find(neu(i,1)==allneu)) & isempty(find(neu(i,2)==allneu))

	if i==1,allneu=[];end % enlever le noeud bidon  
	ww=neu(i,:);
	
	wwold=[];
	while length(ww)>length(wwold)   % IF NEW NODE FOUND IN LAST LOOP
		wwold=ww;	
		for j=1:size(neu,1) 
			% if node 1 in list :
			if ~isempty(find(ww==neu(j,1)))
				% AND if node 2 NOT in list: 
				if isempty(find(ww==neu(j,2)))
					% add node 2 
					ww=[ww neu(j,2)];	
				end
			end
			% if node 2 in list :
			if ~isempty(find(ww==neu(j,2)))
				% ANDif node 1 NOT in list	
				if isempty(find(ww==neu(j,1))) 
					% add node 1 	 
					ww=[ww neu(j,1)];	
				end
			end
		end
	end
	allneu=[allneu ww];
	nores=[nores indres*ones(1,length(ww))];
	indres=indres+1;
	ww=[];
    end
end
nbrres=indres-1;


% CONNECT :
mainres=find(nores==1);
for i=2:nbrres
   subres=find(nores==i);
   % RESISTANCE ADDED HERE
   R=10;
   rlc=[rlc; allneu(mainres(1)) allneu(subres(1)) 0 R 0 0 (size(rlc,1)+1) 0];
end


		
  
