function[Noeuds]=nscnbusb(lignes,Noeuds,CustomBlocNumber)
%NSCNBUSB Connection of nodes separated by bus bars
% 	Note: Internal netsim function. 
%	May not work properly when used elsewhere.
% 
%	[NOEUDS]=NSCNBUSB(LIGNES,NOEUDS,CUSTOMBLOCNUMBER)
% 	input arguments:
%		LIGNES: (integer matrix) block connection matrix
%		NOEUDS:	(integer vector) node number vector
%		CUSTOMBLOCNUMBER: (integer vector) Toolbox block 
%						identification number
% 	output arguments:
%		NOEUDS:	(integer vector) modified node number vector
%
% 	NSCNBUSB connects nodes separated by Busbar blocks
% 	For each Busbar block, allocated nodes for each branch are fused
% 	and the minimum node number is given to all the nodes.

%   Christian Dufour 11-22-95 , 04-017-96
%   Copyright (c) 1997 by TEQSIM Inc. and The MathWorks, Inc.
%   under sublicense from Hydro-Quebec.
%   $Revision: 1.2 $

% NSCNBUSB Connection of nodes separated by bus bars
   
for i=1:length(CustomBlocNumber)		% SCAN FOR BUSBAR
	if(CustomBlocNumber(i)==13)		% IF BUSBAR
		flag=0;
		changenoeuds=[];			
		for j=1:size(lignes,1)		% FIND CONNECTION
			if (lignes(j,1)==i | lignes(j,3)==i)  % in or out
				changenoeuds=[changenoeuds Noeuds(j)];
				flag=1;		% BUSBAR FOUNDED!
 			end		
		end
		if (flag==1)     % IF BUSBAR FOUND LOOK FOR MINIMUM NODE NUMBER
			newnode=min(changenoeuds);
			% LOOK IN 'LIGNES' TO CHANGE OLD NODE FOR NEW NODE :
			for j=1:size(lignes,1)
				if length(find(changenoeuds==Noeuds(j)))>0 
					% si le # de noeuds fait partie
					% du groupe a changer, alors changer
					Noeuds(j)=newnode;
				end
 			end
		end
	end
end
	 			


