function[Noeuds]=nscngnd(lignes,Noeuds,CustomBlocNumber)
%NSCNGND Effectively connect grounded nodes to ground
% 	Note: Internal netsim function. 
%	May not work properly when used elsewhere.
%
% 	[NOEUDS]=NSCNGND(LIGNES,NOEUDS,CUSTOMBLOCNUMBER)
% 	input arguments:
%		LIGNES: (integer matrix) block connection matrix
%		NOEUDS: (integer vector) node number vector
%		CUSTOMBLOCNUMBER: (integer vector) Toolbox block 
%						identification number
% 	output arguments:
%		NOEUDS: (integer vector) node number vector
%
% 	NSCNGND connect nodes having Ground blocks connected to them to ground  

%   Christian Dufour 11-22-95 , 04-17-96
%   Copyright (c) 1997 by TEQSIM Inc. and The MathWorks, Inc.
%   under sublicense from Hydro-Quebec.
%   $Revision: 1.2 $

nobloc=[];
% FIND 'GROUND' BLOCKS EXISTING
for i=1:length(CustomBlocNumber)
	if(CustomBlocNumber(i)==14)
		nobloc=[nobloc i];
	end
end
old_nodes=[];
flag=0;
% CHANGE NODE NUMBER TO 0 FOR LINES OF 'LIGNES' CONNECTED TO GROUND BLOCK
for i=1:length(nobloc)
	for j=1:size(lignes,1)
		if (lignes(j,1)==nobloc(i) | lignes(j,3)==nobloc(i))
			old_nodes=[old_nodes Noeuds(j)];
			Noeuds(j)=0;
			flag=1;
		end
	end
end

% MODIFY ALL NODES THAT WERE IDENTIFIED AS GROUND CONNECTED NODES :

if (flag==1)
	for i=1:length(old_nodes)
		for j=1:length(Noeuds)
			if(Noeuds(j)==old_nodes(i))
				Noeuds(j)=0;
			end
		end
	end
end
 
	
			
	
