function[Noeuds,CustomBlocNumber]=nscnneut(lignes,Noeuds,CustomBlocNumber,ParamNumber)
%NSCNNEUT Connect 'Neutral' blocks
% 	Note: Internal netsim function. 
%	May not work properly when used elsewhere.
% 
%	[NOEUDS,CUSTOMBLOCNUMBER]=NSCNNEUT(LIGNES,NOEUDS, ...
%	                                   CUSTOMBLOCNUMBER,PARAMNUMBER) 
% 	input arguments:
%		LIGNES: (integer matrix) block connection matrix
%		NOEUDS: (integer vector) node number vector
%		CUSTOMBLOCNUMBER: (integer vector) Toolbox block identification 
%				                   number
%		PARAMNUMBER:(integer vector) Block special parameter vector
% 	output arguments:
%		NOEUDS: (integer vector) node number vector
%		CUSTOMBLOCNUMBER: See input arguments
%
% 	NSCNNEUT connects nodes having Neutral blocks of the same number
%	together. If Neutral number is 0 then the Neutral is internally 
%	changed to a Ground by modifying the CustomBlocNumber vector.

%   Christian Dufour 11-22-95, 04-17-96
%   Copyright (c) 1997 by TEQSIM Inc. and The MathWorks, Inc.
%   under sublicense from Hydro-Quebec.
%   $Revision: 1.2 $
 
NoNeutral=[];

for i=1:length(CustomBlocNumber)
	if(CustomBlocNumber(i)==15)
		if(ParamNumber(i)==0)
			CustomBlocNumber(i)=14; % IF NEUTRAL NUMBER ==0
		else				% CHANGE NEUTRAL->GROUND	
			flag=0;
			for j=1:length(NoNeutral)
				if (ParamNumber(i)==NoNeutral(j))
					flag=1;
					break;
				end
			end
			if(flag==0)
				NoNeutral=[NoNeutral ParamNumber(i)];
			end
		end
	end
end

% FOR EACH NEUTRAL NUMBER FOUND, REDUCE NODES :

for i=1:length(NoNeutral)
	flag=0;
	flaga=0;
	for j=1:size(lignes,1)
		if( 	( CustomBlocNumber(lignes(j,1))==15 & ...
			 ParamNumber(lignes(j,1))==NoNeutral(i) ) |  ...
			( CustomBlocNumber(lignes(j,3))==15 & ...
			 ParamNumber(lignes(j,3))==NoNeutral(i) ) )
			node=Noeuds(j); 	% NODE FOUND
			flag=1;
			break;
		end
	end
	
	% mettre tous les autres Neutral du meme numero au meme noeud :
	if (flag==1)
		old_nodes=[]; 
		for k=j+1:size(lignes,1)
			if( 	( CustomBlocNumber(lignes(k,1))==15 & ...
			  ParamNumber(lignes(k,1))==NoNeutral(i) ) |  ...
			  ( CustomBlocNumber(lignes(k,3))==15 & ...
			  ParamNumber(lignes(k,3))==NoNeutral(i) ) )
				% KEEP OLD NEUTRAL NODE NUMBERS :
				old_nodes=[old_nodes Noeuds(k)];	
				Noeuds(k)=node;
				flaga=1;
			end
		end
	end

% CHANGE ALL NODES THAT WERE CONNECTED TO OLD NEUTRAL NODES NUMBERS :
	if (flaga==1)
		for k=1:length(old_nodes)
			for l=1:length(Noeuds)
				if ( Noeuds(l)==old_nodes(k) )
					Noeuds(l)=node;
				end
			end
		end
	end
end
	
			

			

		

