function[Noeuds]=nscnpi(lignes,Noeuds,CustomBlocNumber)
%NSCNPI Connection of nodes separated by low sides of Line blocks
% 	Note: Internal netsim function. 
%	May not work properly when used elsewhere.
% 
%	[NOEUDS]=NSCNPI(LIGNES,NOEUDS,CUSTOMBLOCNUMBER)
% 	input arguments:
%		LIGNES: (integer matrix) block connection matrix
%		NOEUDS:	(integer vector) node number vector
%		CUSTOMBLOCNUMBER: (integer vector) Toolbox block 
%						identification number
% 	output arguments:
%		NOEUDS:	(integer vector) modified node number vector
%
% 	NSCNPI connects nodes separated by low sides of Line blocks 
% 	For each Line block, allocated nodes for each branch are fused
% 	and the minimum node number is given to all the nodes.

%   Christian Dufour 11-22-95 ,04-17-96
%   Copyright (c) 1997 by TEQSIM Inc. and The MathWorks, Inc.
%   under sublicense from Hydro-Quebec.
%   $Revision: 1.2 $
 
for i=1:length(CustomBlocNumber)
	if(CustomBlocNumber(i)==3)	% LOOK FOR LINE BLOCKS
		flag=0;
		changenoeuds=[];			
		for j=1:size(lignes,1)	% LOOK FOR CONNECTION
			% 2e sortie bloc Line :
			if (lignes(j,1)==i & lignes(j,2)==2) 
 				changenoeuds=[changenoeuds Noeuds(j)];
				flag=1;
 			end
			% 2e entree bloc Line ;
			if (lignes(j,3)==i & lignes(j,4)==2)  
				changenoeuds=[changenoeuds Noeuds(j)];
				flag=1;
 			end	
		end
		if (flag==1)	% IF LINE FOUND TAKE MINIMUM NODE NUMBER
			newnode=min(changenoeuds);  
			for j=1:size(lignes,1)
				% chercher dans le reste de 'lignes' 
				% les numeros de noeuds trouve	
				% et les changer pour newnode
				if length(find(changenoeuds==Noeuds(j)))>0 
					% si le # de noeuds fait partie
					% du groupe a change , alors changer
					Noeuds(j)=newnode;
				end
 			end
		end
	end
end
	 			


