function[lignes]=nsdiscon(lignes)
%NSDISCON Change line connections from direct to indirect
% 	Note: Internal netsim function. 
%	May not work properly when used elsewhere.
% 
%	[LIGNES]=NSDISCON(LIGNES)
% 	input arguments:
%		LIGNES: (integer matrix) block connection matrix
% 	output arguments:
%		LIGNES: (integer matrix) modified block connection matrix 
%
% 	each line of LIGNES has 5 integer
% 	LIGNES[1:2]: [#block #output]
% 	LIGNES[3:4]: [#block #input]
% 	LIGNES[5]:indirect line connection refering to a previous line of LIGNES
% 	NSDISCON transform all indirect connection outputing
% 	from the  get_param(sys,'Lines') command. For a 1st degree indirect 
%	connection Simulink gives the origine block plus the indirect connection %	reference in the 5e colomn. For 2e degree indirect connection (i.e. line
% 	connected to an indirectly connected line) , Simulink gives only the
%	reference putting [0 1] in colomn 1,2.
% 	NSDISCON puts all indirect connection in the format 
%	of 2e degree connection

%   Christian Dufour 11-22-95
%   Copyright (c) 1997 by TEQSIM Inc. and The MathWorks, Inc.
%   under sublicense from Hydro-Quebec.
%   $Revision: 1.2 $

for i=1:1:size(lignes,1)
 	if (lignes(i,5)~=0)
		lignes(i,1:2)=[0 1];
	end
end

