function[str_out]=nserror(str,stradd,errno)
%NSERROR	Error function for netsim
% 	Note: Internal netsim function.
% 	May not work properly when used elsewhere.
%
%	[STR_OUT]=NSERROR(STR,STRADD,ERRNO) 
% 	input arguments:
%		STR: (string matrix) error, warning message
%		STRADD: (string matrix) warning message to add
%		ERRNO: (integer) error number 
%			=-1: display (special meaning)
%			=0 or null: warnings 
%			>=1: errors
% 	output arguments:
%		STR_OUT: (string matrix) result from concat. of STR & STRADD

%   Christian Dufour 11-22-95 , 04-17-96
%   Copyright (c) 1997 by TEQSIM Inc. and The MathWorks, Inc.
%   under sublicense from Hydro-Quebec.
%   $Revision: 1.2 $
 	        
nargs=nargin;
if nargs==2
	errno=0;
end
if errno==-1		%Display only
    if ~isempty(str)
	nserrwin(0,str,'',errno);
    end
end
if errno==0		% Add but do not display
	if isempty(str) | isempty(stradd)
		str_out=[str stradd];
	else	
		str_out=str2mat(str,stradd);
	end
end
if errno>0	% error case
	nsfid=fopen('all');
	for i=1:length(nsfid)
		fclose(nsfid(i));
	end
	nserrwin(1,str,'',errno);
	error('NETSIM FATAL ERROR. See Message Window');
end

