function [param]=nsfb01(blocs,lignes,i,Noeuds)
%NSFB01 Block 1 (Series RLC) function
% 	Note: Internal netsim function. 
%	May not work properly when used elsewhere.
%
% 	[PARAM]=NSFB01(BLOCS,LIGNES,I,NOEUDS)
% 	input arguments:
%		BLOCS: (string matrix) block name matrix
%		LIGNES: (integer matrix) block connection matrix
%		I: index of the block in BLOCS
%		NOEUDS: (integer vector) node assignment 
% 	output arguments:
%		PARAM: (float vector) parameters of the block in the
%	               format required by ETATFUN
%		format of PARAM:
%			PARAM(1): input node of block
%			PARAM(2): output node of block
%			PARAM(3): =0 for serial RLC componant
%			PARAM(4): value of R in ohms
%			PARAM(5): value of L in mH
%			PARAM(6): value of C in uF (C=0 if no capacity)
%			PARAM(7): I
%			PARAM(8): =0 not used
%
%	See also ETATFUN.
	
%   Christian Dufour 11-22-95 and Patrice Brunelle 04-17-96
%   Copyright (c) 1997 by TEQSIM Inc. and The MathWorks, Inc.
%   under sublicense from Hydro-Quebec.
%   $Revision: 1.2 $

% ETATFUN'S RLC MATRIX CONTRIBUTION BY 'Series RLC' BLOCK :

TYPE=0;
neu1=NaN;	% INPUT NODE
neu2=NaN;	% OUTPUT NODE
for j=1:size(lignes,1)
	if ( lignes(j,1)==i )
		neu2=Noeuds(j);
	end
	if ( lignes(j,3)==i )
		neu1=Noeuds(j);
	end
end
str=get_param(nsdezero(blocs(i,:)),'Mask Entries');
retvar=nsparm(str,nsdezero(blocs(i,:)));
R=retvar{1};
L=retvar{2};
C=retvar{3};

% UNIT AJUSTMENT FOR etatfun.m
if (C==inf)
	C=0;
end

L=L*1e3;
C=C*1e6;
param=[ neu1 neu2 TYPE R L C i 0];




