function[param]=nsfb02(blocs,lignes,i,Noeuds)
%NSFB02 Block 7 (Load series RLC) function
% 	Note: Internal netsim function. 
%	May not work properly when used elsewhere.
%
% 	[PARAM]=NSFB02(BLOCS,LIGNES,I,NOEUDS)
% 	input arguments:
%		BLOCS: (string matrix) block name matrix
%		LIGNES: (integer matrix) block connection matrix
%		I: index of the block in BLOCS
%		NOEUDS: (integer vector) node assignment 
% 	output arguments:
%		PARAM: (float vector) parameters of the block in the
%	               format required by ETATFUN
%		format of PARAM:
%			PARAM(1): input node of block
%			PARAM(2): output node of block
%			PARAM(3): =0 for serial RLC componant
%			PARAM(4): value of R in ohms
%			PARAM(5): value of L in mH
%			PARAM(6): value of C in uF (C=0 if no capacity)
%			PARAM(7): I
%			PARAM(8): =0 not used
%
%	See also ETATFUN.
	
%   Christian Dufour 11-22-95 , Patrice Brunelle 04-17-96
%   Copyright (c) 1997 by TEQSIM Inc. and The MathWorks, Inc.
%   under sublicense from Hydro-Quebec.
%   $Revision: 1.2 $

% ETATFUN'S RLC MATRIX CONTRIBUTION BY 'Load series RLC' BLOCK

TYPE=0;
neu1=NaN;	% INPUT NODE
neu2=NaN;	% OUTPUT NODE
for j=1:size(lignes,1)
	if ( lignes(j,1)==i )
		neu2=Noeuds(j);
	end
	if ( lignes(j,3)==i )
		neu1=Noeuds(j);
	end
end
str=get_param(nsdezero(blocs(i,:)),'Mask Entries');
retvar=nsparm(str,nsdezero(blocs(i,:)));
Vb=retvar{1};
fn=retvar{2};
Pn=retvar{3};
Ql=retvar{4};
Qc=retvar{5};
S=sqrt((Ql-Qc)^2+Pn^2);
Ib=S/Vb;
R=Pn/(Ib*Ib);
if Qc==0
	C=0;
else
	C=Ib*Ib/(2*pi*fn*Qc)*1e6;
end
L=Ql/(Ib*Ib*2*pi*fn)*1e3;
param=[ neu1 neu2 TYPE R L C i 0];




