function[param_src]=nsfb06(blocs,lignes,i,Noeuds)
%NSFB06 Block 12 (Current source) function
% 	Note: Internal netsim function. 
%	May not work properly when used elsewhere.
%
% 	[PARAM_SRC]=NSFB06(BLOCS,LIGNES,I,NOEUDS)
% 	input arguments:
%		BLOCS: (string matrix) block name matrix
%		LIGNES: (integer matrix) block connection matrix
%		I: index of the block in BLOCS
%		NOEUDS: (integer vector) node assignment 
% 	output arguments:
%		PARAM_SRC: (float vector) parameters of the block in the
%	               format required by ETATFUN
%		format of PARAM_SRC:
%			PARAM_SRC(1): input node of block
%			PARAM_SRC(2): output node of block
%			PARAM_SRC(3): =1 for current source
%			PARAM_SRC(4): amplitude in A
%			PARAM_SRC(5): phase in degree
%			PARAM_SRC(6): frequency in Hz
%
%	See also ETATFUN.
	
%   Christian Dufour 11-22-95 and Patrice Brunelle 04-24-96
%   Copyright (c) 1997 by TEQSIM Inc. and The MathWorks, Inc.
%   under sublicense from Hydro-Quebec.
%   $Revision: 1.2 $

% 'SOURCE' MATRIX CONTRIBUTION BY 'AC current source'

TYPE=1;
neu1=NaN;	% INPUT NODE
neu2=NaN;	% OUTPUT NODE
for j=1:size(lignes,1)
	if ( lignes(j,1)==i )
		neu2=Noeuds(j);
	end
	if ( lignes(j,3)==i )
		neu1=Noeuds(j);
	end
end
str=get_param(nsdezero(blocs(i,:)),'Mask Entries');
retvar=nsparm(str,nsdezero(blocs(i,:)));
amp=retvar{1};
phas=retvar{2};
freq=retvar{3};
param_src=[ neu1 neu2 TYPE amp phas freq 2];





