function[param_src]=nsfb07(blocs,lignes,i,Noeuds)
%NSFB07 Block 32 (DC source) function
% 	Note: Internal netsim function. 
%	May not work properly when used elsewhere.
%
% 	[PARAM_SRC]=NSFB07(BLOCS,LIGNES,I,NOEUDS)
% 	input arguments:
%		BLOCS: (string matrix) block name matrix
%		LIGNES: (integer matrix) block connection matrix
%		I: index of the block in BLOCS
%		NOEUDS: (integer vector) node assignment 
% 	output arguments:
%		PARAM_SRC: (float vector) parameters of the block in the
%	               format required by ETATFUN
%		format of PARAM_SRC:
%			PARAM_SRC(1): output node of block
%			PARAM_SRC(2): input node of block
%			PARAM_SRC(3): =0 for voltage source
%			PARAM_SRC(4): amplitude in V
%			PARAM_SRC(5): =90 d. phase in degree
%			PARAM_SRC(6): =0 Hz frequency in Hz
%
%	See also ETATFUN.
	
%   Christian Dufour 11-22-95 , Patrice Brunelle 04-24-96
%   Copyright (c) 1997 by TEQSIM Inc. and The MathWorks, Inc.
%   under sublicense from Hydro-Quebec.
%   $Revision: 1.2 $
		
TYPE=0;
neuin=NaN;	
neuout=NaN;	
for j=1:size(lignes,1)
	if ( lignes(j,1)==i )
		neuout=Noeuds(j);
	end
	if ( lignes(j,3)==i )
		neuin=Noeuds(j);
	end
end
str=get_param(nsdezero(blocs(i,:)),'Mask Entries');
retvar=nsparm(str,nsdezero(blocs(i,:)));
amp=retvar{1};
param_src=[ neuout neuin  TYPE amp 0 0 10];



