function[param,NoeudAlloc]=nsfbo8(blocs,lignes,i,Noeuds,NoeudAlloc)
%NSFB08 Block 3 (Line) function
% 	Note: Internal netsim function. 
%	May not work properly when used elsewhere.
%
% 	[PARAM,NOEUDALLOC]=NSFB3(BLOCS,LIGNES,I,NOEUDS,NOEUDALLOC)
% 	input arguments:
%		BLOCS: (string matrix) block name matrix
%		LIGNES: (integer matrix) block connection matrix
%		I: index of the block in BLOCS
%		NOEUDS: (integer vector) node assignment
%		NOEUDALLOC: (integer) node number for allocation
% 	output arguments:
%		PARAM: (float matrix) parameters of the block in the
%	               format required by ETATFUN
%		NOEUDALLOC: (integer) node number for allocation
%		format of PARAM (each line):
%			PARAM(1): input node of rlc componant
%			PARAM(2): output node of rlc componant
%			PARAM(3): =0 for serial RL and C branches
%			PARAM(4): value of R in ohms
%			PARAM(5): value of L in mH
%			PARAM(6): value of C in uF 
%			PARAM(7): I
%			PARAM(8): index of the pi construct 
%				(RL and C combination)
%				The last capacity is in the highest pi construct
%
%	See also ETATFUN.

% Note : This is a new version of Line Block with implicit connection to ground.
%	 The block have one input and one output.
	
%   Patrice Brunelle 04-24-96, 06-13-97 
%   Copyright (c) 1997 by TEQSIM Inc. and The MathWorks, Inc.
%   under sublicense from Hydro-Quebec.
%   $Revision: 1.2 $

% ETATFUN'S RLC MATRIX CONTRIBUTION BY 'Line' BLOCK
 
neuinrlc=NaN;	
neuoutrlc=NaN;	

for j=1:size(lignes,1)
	if ( lignes(j,1)==i & lignes(j,2)==1)
		neuoutrlc=Noeuds(j);
	end
	if ( lignes(j,3)==i & lignes(j,4)==1)
		neuinrlc=Noeuds(j);
	end	
end

if isnan(neuinrlc)
 	neuinrlc=NoeudAlloc;
	NoeudAlloc=NoeudAlloc+1;
end
if isnan(neuoutrlc)
  	neuoutrlc=NoeudAlloc;
	NoeudAlloc=NoeudAlloc+1;
end

str=get_param(nsdezero(blocs(i,:)),'Mask Entries');
retvar=nsparm(str,nsdezero(blocs(i,:)));
R=retvar{1};
L=retvar{2};
C=retvar{3};
long=retvar{4};
nbr=retvar{5};

w=2*pi*60;
j=sqrt(-1);
d=long/nbr;
z=R+j*w*L;
y=j*w*C;
Zc=sqrt(z/y);
gamma=sqrt(z*y);
Z=Zc*sinh(gamma*d);
Ysur2=1/Zc*tanh(gamma*d/2);
Rres=real(Z);
Lres=imag(Z)/w;
Cres=imag(Ysur2)/w;

Lres=Lres*1e3;
Cres=Cres*1e6;
masse=0;



% CREATION OF INTERNAL BRANCHES FOR SINGLE-STAGE PI MODEL

 
if (nbr==1)
	param=[ 	neuinrlc 	masse  	0 	0	0 	Cres 	i 	1;
			neuinrlc    neuoutrlc	0	Rres	Lres	0	i	1;
			neuoutrlc	masse	0	0	0	Cres	i	2 ];	
end

% CREATION OF INTERNAL BRANCHES FOR MULTI-STAGE PI MODEL
if (nbr>1)
   j=1;
   param(1:3,:)=[   neuinrlc 	masse 	   0 	0	0 	Cres 	i 	j;
		    neuinrlc 	NoeudAlloc 0	Rres 	Lres 	0	i  	j;
		    NoeudAlloc  masse      0	0	0	2*Cres	i	j+1];
   NoeudAlloc=NoeudAlloc+1;
   for j=2:nbr-1
 	param=[param;
		(NoeudAlloc-1) NoeudAlloc 0     Rres    Lres 	0 	i 	j;
		NoeudAlloc     masse      0	0	0	2*Cres	i	j+1];
	NoeudAlloc=NoeudAlloc+1;
   end
   param=[param;
		 (NoeudAlloc-1) neuoutrlc 0     Rres 	Lres 	0  	i 	nbr;
		 neuoutrlc	masse 	  0 	0	0	Cres  	i 	nbr+1];	
end



		





