function[param_brk,other,NoeudAlloc]=nsfb15(blocs,lignes,i,Noeuds,NoeudAlloc)
%NSFB15 Block 26 (Breaker) function
% 	Note: Internal netsim function. 
%	May not work properly when used elsewhere.
%
% 	[PARAM_BRK,OTHER,NOEUDALLOC]=NSFB15(BLOCS,LIGNES,I,NOEUDS,NOEUDALLOC)
% 	input arguments:
%		BLOCS: (string matrix) block name matrix
%		LIGNES: (integer matrix) block connection matrix
%		I: index of the block in BLOCS
%		NOEUDS: (integer vector) node assignment
%		NOEUDALLOC: (integer) node number for node allocation
% 	output arguments:
%		PARAM_BRK: (float vector) switches parameters of the block 
%		           in the format required by ETATFUN
%		OTHER: (float matrix) parameters of simulink input/output
%		NOEUDALLOC: (integer) node number for node allocation 		
%		format of PARAM_BRK :
%			PARAM_BRK(1): input node of breaker
%			PARAM_BRK(2): output node of breaker
%			PARAM_BRK(3): initial condition of breaker
%					=0:opened  =1:closed
%			PARAM_BRK(4): conduction resistance in ohms
%			PARAM_BRK(5): inductance in mH
%			PARAM_BRK(6): =0
%			PARAM_BRK(7): =0
%		format of OTHER (each line):
%			OTHER(1): node number
%			OTHER(2): I 
%			OTHER(3): input/output number in block
%			OTHER(4): =1:input  =2:output
%
%	See also ETATFUN.
	
%   Christian Dufour 11-22-95, Patrice Brunelle 26-02-97
%   Copyright (c) 1997 by TEQSIM Inc. and The MathWorks, Inc.
%   under sublicense from Hydro-Quebec.
%   $Revision: 1.2 $

neuin=NaN;	
neuout=NaN;
neucontrol=NaN;	
param_brk=[];
n_out=0;


for j=1:size(lignes,1)
 	if ( lignes(j,3)==i & lignes(j,4)==1 )	% input #1
		neuin=Noeuds(j);		
	end

 	if ( lignes(j,1)==i & lignes(j,2)==1 )	% output #1
		neuout=Noeuds(j);		
	end

 	if ( lignes(j,3)==i & lignes(j,4)==2 )	% input #2
		neucontrol=Noeuds(j);		
	end



end
if isnan(neuin)
	neuin=NoeudAlloc;
	NoeudAlloc=NoeudAlloc+1;
end
if isnan(neuout)
	neuout=NoeudAlloc;
	NoeudAlloc=NoeudAlloc+1;
end
if isnan(neucontrol)
	neucontrol=NoeudAlloc;
	NoeudAlloc=NoeudAlloc+1;
end

str=get_param(nsdezero(blocs(i,:)),'Mask Entries');
retvar=nsparm(str,nsdezero(blocs(i,:)));
R=retvar{1};
L=retvar{2};
condit=retvar{3};
param_brk=[neuin neuout condit R L*1e3 0 0];
other=[neucontrol i 2 1];
 



