function[param_src,NoeudAlloc]=nsfb16(blocs,lignes,i,Noeuds,NoeudAlloc)
%NSFB16 Block 28 (Surge arrester) function
% 	Note: Internal netsim function. 
%	May not work properly when used elsewhere.
%
% 	[PARAM_SRC,NOEUDALLOC]=NSFB16(BLOCS,LIGNES,I,NOEUDS,NOEUDALLOC)
% 	input arguments:
%		BLOCS: (string matrix) block name matrix
%		LIGNES: (integer matrix) block connection matrix
%		I: index of the block in BLOCS
%		NOEUDS: (integer vector) node assignment
%		NOEUDALLOC: (integer) node number for node allocation 
% 	output arguments:
%		PARAM_SRC: (float vector) parameters of the block in the
%	               format required by ETATFUN 
%		NOEUDALLOC: (integer) node number for node allocation 		
%		format of PARAM_SRC :
%			PARAM_SRC(1): input node of MOV
%			PARAM_SRC(2): output node of MOV 
%			PARAM_SRC(3): =1 for current source
%			PARAM_SRC(4): =0 
%			PARAM_SRC(5): =0 
%			PARAM_SRC(6): =0 
%
%	See also ETATFUN.
	
%   Christian Dufour 11-22-95, Patrice Brunelle 26-02-97
%   Copyright (c) 1997 by TEQSIM Inc. and The MathWorks, Inc.
%   under sublicense from Hydro-Quebec.
%   $Revision: 1.2 $

neuin=NaN;	
neuout=NaN;	
 
param_src=[];

for j=1:size(lignes,1)
 	if ( lignes(j,3)==i & lignes(j,4)==1 )
		neuin=Noeuds(j);		
	end
 
 	if ( lignes(j,1)==i & lignes(j,2)==1 )
		neuout=Noeuds(j);		
	end

end

if isnan(neuin) 
	neuin=NoeudAlloc;
	NoeudAlloc=NoeudAlloc+1;
end
if isnan(neuout) 
	neuout=NoeudAlloc;
	NoeudAlloc=NoeudAlloc+1;
end


param_src=[neuin neuout 1 0 0 0 9];





