function[str,NoeudAlloc]=nsfb17(blocs,lignes,i,Noeuds,nb_sortie,NoeudAlloc)
%NSFB17 Block 9 (Voltage sensor) function
% 	Note: Internal netsim function. 
%	May not work properly when used elsewhere.
%
% 	[STR,NOEUDALLOC]=NSFB17(BLOCS,LIGNES,I,NOEUDS,NB_SORTIE,NOEUDALLOC)
% 	input arguments:
%		BLOCS: (string matrix) block name matrix
%		LIGNES: (integer matrix) block connection matrix
%		I: index of the block in BLOCS
%		NOEUDS: (integer vector) node assignment
%		NB_SORTIE: (integer) output number in the equiv. state-space
%		           system for the block
%		NOEUDALLOC: (integer) node number for allocation
% 	output arguments:
%		STR: (char vector) voltage output string parameters in the
%	               format required by ETATFUN
%		NOEUDALLOC: (integer) node number for allocation
% 
%	See also ETATFUN.
	
%   Christian Dufour 11-22-95, Patrice Brunelle 26-02-97
%   Copyright (c) 1997 by TEQSIM Inc. and The MathWorks, Inc.
%   under sublicense from Hydro-Quebec.
%   $Revision: 1.2 $

neu1=NaN;	% noeud d'entree de la branche
		%^& 1ST INPUT NODE
neu2=NaN;	%^& 2ND INPUT NODE
str='';
n_out=0;


for j=1:size(lignes,1)
 	if ( lignes(j,3)==i & lignes(j,4)==1)
		neu1=Noeuds(j);		
 	end
 	if ( lignes(j,3)==i & lignes(j,4)==2)
		neu2=Noeuds(j);		
 	end

end

% Allocation de noeuds si non-fait
%^& ALLOCATION OF NODE IF NOT ALREADY MADE
if isnan(neu1)
	neu1=NoeudAlloc;
	NoeudAlloc=NoeudAlloc+1;
end
if isnan(neu2)
	neu2=NoeudAlloc;
	NoeudAlloc=NoeudAlloc+1;
end


			
str=['y_u' num2str(nb_sortie+1) '=' '''' 'U_n' num2str(neu1)   '_'  num2str(neu2) ''''  ';' ];  
n_out=1;
 
  







