function[param_src,other,NoeudAlloc]=nsfb22(blocs,lignes,i,Noeuds,NoeudAlloc)
%NSFB22 Block 36 (Variable current source) function
% 	Note: Internal netsim function. 
%	May not work properly when used elsewhere.
%
% 	[PARAM_SRC,NOEUDALLOC]=NSFB22(BLOCS,LIGNES,I,NOEUDS,NOEUDALLOC)
% 	input arguments:
%		BLOCS: (string matrix) block name matrix
%		LIGNES: (integer matrix) block connection matrix
%		I: index of the block in BLOCS
%		NOEUDS: (integer vector) node assignment
%		NOEUDALLOC: (integer) node number for node allocation 
% 	output arguments:
%		PARAM_SRC: (float vector) parameters of the block in the
%	               format required by ETATFUN 
%		OTHER: (float matrix) parameters of EPSD simulink input/output
%		NOEUDALLOC: (integer) node number for node allocation 		
%		format of PARAM_SRC :
%			PARAM_SRC(1): + node of source
%			PARAM_SRC(2): - node of source 
%			PARAM_SRC(3): =0 for voltage source
%			PARAM_SRC(4): =0 
%			PARAM_SRC(5): =0 
%			PARAM_SRC(6): =0 
%		format of OTHER (each line):
%			OTHER(1): node number
%			OTHER(2): I 
%			OTHER(3): input/output number in block
%			OTHER(4): =1:input  =2:output

%
%	See also ETATFUN.
	
%   Christian Dufour 11-22-95, Patrice Brunelle 26-02-97
%   Copyright (c) 1997 by TEQSIM Inc. and The MathWorks, Inc.
%   under sublicense from Hydro-Quebec.
%   $Revision: 1.2 $

neuplus=NaN;	
neumoins=NaN;
neucontrole=NaN;	
 
param_src=[];

for j=1:size(lignes,1)
 	if ( lignes(j,3)==i & lignes(j,4)==1 )
		neucontrole=Noeuds(j);		
	end
 
 	if ( lignes(j,1)==i & lignes(j,2)==1 )
		neuplus=Noeuds(j);		
	end

 	if ( lignes(j,1)==i & lignes(j,2)==2 )
		neumoins=Noeuds(j);		
	end


end


if isnan(neuplus) 
	neuplus=NoeudAlloc;
	NoeudAlloc=NoeudAlloc+1;
end
if isnan(neumoins) 
	neumoins=NoeudAlloc;
	NoeudAlloc=NoeudAlloc+1;
end

if isnan(neucontrole) 
	neucontrole=NoeudAlloc;
	NoeudAlloc=NoeudAlloc+1;
end

str=get_param(nsdezero(blocs(i,:)),'Mask Entries');
retvar=nsparm(str,nsdezero(blocs(i,:)));
Iinit=retvar{1};
param_src=[neumoins neuplus 1 Iinit 0 0 12];
other=[neucontrole i 1 1];





