 function[param_src,other,NoeudAlloc,type]=nsfb30(blocs,lignes,i,Noeuds,NoeudAlloc)
%NSFB30 Block 17 (Asychronous machine) function
% 	Note: Internal netsim function. 
%	May not work properly when used elsewhere.
%
% 	[PARAM_SRC,OTHER,NOEUDALLOC,TYPE]=NSFB30(BLOCS,LIGNES,I,NOEUDS,NOEUDALLOC)
% 	input arguments:
%		BLOCS: (string matrix) block name matrix
%		LIGNES: (integer matrix) block connection matrix
%		I: index of the block in BLOCS
%		NOEUDS: (integer vector) node assignment
%		NOEUDALLOC: (integer) node number for node allocation 
% 	output arguments:
%		PARAM_SRC: (float matrix) parameters of the block in the
%	               format required by ETATFUN
%		OTHER: (float matrix) parameters of simulink input/output
%		NOEUDALLOC: (integer) node number for node allocation 		
%		format of PARAM_SRC (each line):
%			PARAM_SRC(1): neutral node of block
%			PARAM_SRC(2): stator output node of block
%			PARAM_SRC(3): =1 for current source
%			PARAM_SRC(4): =0 
%			PARAM_SRC(5): =0 
%			PARAM_SRC(6): =0 
%			PARAM_SRC(7): source type for coherance 
%		format of OTHER (each line):
%			OTHER(1): node number
%			OTHER(2): I 
%			OTHER(3): input/output number in block
%			OTHER(4): =1:input  =2:output
%		TYPE: (integer)  0:normal 1:floating neutral
%
%	See also ETATFUN.
	
%   Patrice Brunelle 05-15-96 
%   Copyright (c) 1997 by TEQSIM Inc. and The MathWorks, Inc.
%   under sublicense from Hydro-Quebec.
%   $Revision: 1.2 $

neuTm=NaN;
neumes=NaN;
neuArotor=NaN;	 
neuBrotor=NaN;	 
neuCrotor=NaN;	
neuAstator=NaN;	 
neuBstator=NaN;	 
neuCstator=NaN;
param_src=[];
n_out=0;

for j=1:size(lignes,1)
 	if ( lignes(j,1)==i & lignes(j,2)==1)
		neuArotor=Noeuds(j);		
	end
 	if ( lignes(j,1)==i & lignes(j,2)==2)
		neuBrotor=Noeuds(j);		
	end
 	if ( lignes(j,1)==i & lignes(j,2)==3)
		neuCrotor=Noeuds(j);		
	end
 	if ( lignes(j,3)==i & lignes(j,4)==1)
		neuAstator=Noeuds(j);		
	end
 	if ( lignes(j,3)==i & lignes(j,4)==2)
		neuBstator=Noeuds(j);		
	end
 	if ( lignes(j,3)==i & lignes(j,4)==3)
		neuCstator=Noeuds(j);		
	end
 	if ( lignes(j,3)==i & lignes(j,4)==4)
		neuTm=Noeuds(j);		
	end
 	if ( lignes(j,1)==i & lignes(j,4)==2)
		neumes=Noeuds(j);		
	end
end

if  isnan(neuArotor) 
	neuArotor=NoeudAlloc;
	NoeudAlloc=NoeudAlloc+1;
end	
if  isnan(neuBrotor)
	neuBrotor=NoeudAlloc;
	NoeudAlloc=NoeudAlloc+1;
end
if  isnan(neuCrotor)
	neuCrotor=NoeudAlloc;
	NoeudAlloc=NoeudAlloc+1;
end
if  isnan(neuAstator)
	neuAstator=NoeudAlloc;
	NoeudAlloc=NoeudAlloc+1;
end
if  isnan(neuBstator)
	neuBstator=NoeudAlloc;
	NoeudAlloc=NoeudAlloc+1;
end
if  isnan(neuCstator)
	neuCstator=NoeudAlloc;
	NoeudAlloc=NoeudAlloc+1;
end
if  isnan(neuTm)
	neuTm=NoeudAlloc;
	NoeudAlloc=NoeudAlloc+1;
end
if  isnan(neumes)
	neumes=NoeudAlloc;
	NoeudAlloc=NoeudAlloc+1;
end

type=1;

% NOTE: la 7e colonne correspond a type de src dans message de etat
param_src=[
		neuArotor  neuCrotor  1 0 0 0 34;
		neuBrotor  neuCrotor  1 0 0 0 34;
		neuAstator neuCstator 1 0 0 0 33; 
		neuBstator neuCstator 1 0 0 0 33];
	
other=[ neuTm   i 4 1;
	neumes  i 4 2];





