function[flag,type]=nsinlist(blocs,i,ensemble)
%NSINLIST Check block belonging to a list
% 	Note: Internal netsim function. 
%	May not work properly when used elsewhere.
% 
%	[FLAG,TYPE]=NSINLIST(BLOCS,I,ENSEMBLE)
% 	input arguments:
%		BLOCS: (string matrix) block name matrix
%		I: (integer) line indice of block in the 'blocs' matrix
%		ENSEMBLE:(string matrix): list of block Mask Type to look for
% 	output arguments:
%		FLAG: (integer) =0 not found =1 match found
%		TYPE: (integer) line indice of ensemble if match found
%
% 	NSINLIST looks if the Mask Type of simulink block BLOCS(I,:) is in
% 	the list ENSEMBLE . If so it return the indice TYPE of the match
% 	in ENSEMBLE and sets FLAG

%   Patrice Brunelle, 
%   Copyright (c) 1997 by TEQSIM Inc. and The MathWorks, Inc.
%   under sublicense from Hydro-Quebec.
%   $Revision: 1.2 $

type=0;
flag=0;
masque=get_param([nsdezero(blocs(i,:))],'MaskType');
for j=1:size(ensemble,1)
    if strcmp(masque,ensemble{j,1});
        flag=1;
        type=ensemble{j,2};
        return;
    end
end
		
