function[lignes,nb_bloc_fantomes]=nsopenln(lignes,blocs)
%NSOPENLN Processing of simulink open lines
% 	Note: Internal netsim function. 
%	May not work properly when used elsewhere.
%
%	[LIGNES,NB_BLOC_FANTOMES]=NSOPENLN(LIGNES,BLOCS) 
% 	input arguments:
%		LIGNES: (integer matrix) block connection matrix
%		BLOCS:	(string matrix) block name matrix
% 	output arguments:
%		LIGNES: (integer matrix) block connection matrix
%		NB_BLOC_FANTOMES: (integer) number of open-ended lines 
%			of LIGNES,recognizable to [0 0] in LIGNES, to be 
%			given a ghost block number
% 	NSOPENLN allocates block numbers to opened lines at the origin
% 	changing [0 0] to [x 0] where x is a new block number
% 	Opened lines at the destination are not treated since they are
% 	eliminated by NSCNLINE

%   Christian Dufour 11-22-95
%   Copyright (c) 1997 by TEQSIM Inc. and The MathWorks, Inc.
%   under sublicense from Hydro-Quebec.
%   $Revision: 1.2 $

nb_bloc_fantomes=0;
cnt=size(blocs,1)+1;
for i=1:size(lignes,1)
	if (lignes(i,1)==0 & lignes(i,2)==0)
		lignes(i,1:2)=[cnt 0];	%modif 1->0 pour reconnaitre
		cnt=cnt+1;
		nb_bloc_fantomes=nb_bloc_fantomes+1;
	end	
end

