function[lignes]=nsrerout(lignes,blocs,CustomBlocNumber,ParentBloc,ParamNumber)
%NSREROUT Reroute subsystem & port outcoming lines
% 	Note: Internal netsim function. 
%	May not work properly when used elsewhere.
% 
%	[LIGNES]=NSREROUT(LIGNES,BLOCS,CUSTOMBLOCNUMBER,PARENTBLOC,PARAMNUMBER)
% 	input arguments:
%		LIGNES: (integer matrix) block connection matrix
%		BLOCS: (string matrix) block name matrix
%		CUSTOMBLOCNUMBER: (integer vector) Toolbox block identification
%		                                   number
%		PARENTBLOC: (integer vector) Parent block number vector
%		PARAMNUMBER:(integer vector) Block special parameter vector
% 	output arguments:
%		LIGNES: (integer matrix) modified block connection matrix
%
% 	NSREROUT reroutes internally (i.e. by modifying 'lignes') the block
% 	connections making the following modifications:
%		-input ports will have only one direct connection
%		-output from subsystems will have only one direct connection
% 	If there are more than 1 of the preceding connection , the other ones
% 	are tranformed in indirect connection

%   Christian Dufour 11-22-95 ,04-17-96
%   Copyright (c) 1997 by TEQSIM Inc. and The MathWorks, Inc.
%   under sublicense from Hydro-Quebec.
%   $Revision: 1.2 $
 
for i=1:size(blocs,1)
   % INPORT
   if(CustomBlocNumber(i)==999)
	indice=[];
	for j=1:size(lignes,1)

	% FIND DIRECT CONENCTIONS TO INPORT
		if (lignes(j,1)==i)	% toujours sortie #1
			indice=[indice j];
		end
	end
	if (length(indice)>1)
	% CHANGE ALL BUT THE FIRST DIRECT CONNECTION TO INDIRECT
		for j=2:length(indice)
			lignes(indice(j),1:2)=[0 1];
			lignes(indice(j),5)=indice(1);
		end
	end
   end

   % OUTPORT
   if (CustomBlocNumber(i)==1001)
	indice=[];
	for j=1:size(lignes,1)
		% FIND DIRECT CONNECTIONS TO OUTPORT CORRESPONDING OUTPUT 
		% IN PARENT SYSTEM
		if (lignes(j,1)==ParentBloc(i) & lignes(j,2)==ParamNumber(i) )
			indice=[indice j];
		end
	end
	if (length(indice)>1)
		% CHANGE ALL BUT THE FIRST DIRECT CONENCTION TO INDIRECT
		for j=2:length(indice)
			lignes(indice(j),1:2)=[0 1];
			lignes(indice(j),5)=indice(1);
		end
	end
   end
end

