function psblcfmeas(block)
%
% PSBLCFMEAS  Function used as the CopyFcn & LoadFcn of measurement blocks.
%
%   Patrice Brunelle
%   Copyright (c) 1997 by TEQSIM Inc. and The MathWorks, Inc.
%   under sublicense from Hydro-Quebec.
%   $Revision: 1.3 $

% Replace the current 'source' block by a From block.
p=get_param([block,'/source'],'Position');
delete_line(block,'source/1','Gain/1');
delete_block([block,'/source']);

% Give a unique name to the gototag:
tag=strrep(tempname,tempdir,'');

add_block('built-in/From',[block,'/source'],'Position',p,'GotoTag',tag);
add_line(block,'source/1','Gain/1'); 

% Reset datas in order to force the call to power2sys in the checksum.
loadsavedata(bdroot,'save',[]);
