function psblfblk(system,type)
%
% PSBLFBLK  Function used as the LoadFcn of PS blocks blocks with goto/from
%   except for measurement blocks.
%
%   Patrice Brunelle
%   Copyright (c) 1997 by TEQSIM Inc. and The MathWorks, Inc.
%   under sublicense from Hydro-Quebec.
%   $Revision: 1.3 $

% Return if block is on powerlib.
if strcmp(system,'powerlib')|strcmp(system,'powerlib_extras')
	return
end


switch type

case 'goto'

    % Give a unique name to the gototag: goto block
    tag=strrep(tempname,tempdir,'');
    set_param([gcb,'/Goto'],'GotoTag',tag)

case 'from'

    % Give a unique name to the gototag: from block
    tag=strrep(tempname,tempdir,'');
    set_param([gcb,'/From'],'GotoTag',tag)

case 'gotofrom'

    % Give a unique name to the gototag: goto block
    tag=strrep(tempname,tempdir,'');
    set_param([gcb,'/Goto'],'GotoTag',tag)

    % Give a unique name to the gototag: from block
    tag=strrep(tempname,tempdir,'');
    set_param([gcb,'/From'],'GotoTag',tag)

case 'gotogotofrom'

    % Give a unique name to the gototag: goto1 block
    tag=strrep(tempname,tempdir,'');
    set_param([gcb,'/Goto1'],'GotoTag',tag)

    % Give a unique name to the gototag: goto2 block
    tag=strrep(tempname,tempdir,'');
    set_param([gcb,'/Goto2'],'GotoTag',tag)

    % Give a unique name to the gototag: from block
    tag=strrep(tempname,tempdir,'');
    set_param([gcb,'/From'],'GotoTag',tag)

end

