function s = psbhelp
% PSBHELP Points Web browser to the HTML help file
%         corresponding to this Power System Blockset block.

%   Author(s): P. Barnard
%   Copyright (c) 1997 by TEQSIM Inc. and The MathWorks, Inc.
%   under sublicense from Hydro-Quebec.
%   $Revision: 1.3 $ $Date: 1997/10/01 15:42:23 $

d = docroot;
if isempty(d),
    html_file=[matlabroot '/toolbox/powersys/powersys/psbherr.html'];
else
    blkname = get_param(gcb,'MaskType');
    html_file=[d '/toolbox/powersys/' help_name(blkname)];
end
s=['file:///' html_file];
return

function y=help_name(x)
if isempty(x), x='default'; end
y = lower(x);
y(find(~isvalidchar(y))) = '';  % Remove invalid characters
if length(y)>25, y=y(1:25); end
y = [y '.html'];
return

function y = isvalidchar(x)
y = isletter(x) | isdigit(x) | isunder(x);
return

function y = isdigit(x)
y = (x>='0' & x<='9');
return

function y = isunder(x)
y = (x=='_');
return
